/********************************************************************************
*Licensed Materials - Property of IBM
*(c) Copyright IBM Corporation 2008, 2016. All Rights Reserved.
*
*Note to U.S. Government Users Restricted Rights:  
*Use, duplication or disclosure restricted by GSA ADP Schedule 
*Contract with IBM Corp.
********************************************************************************/

function main(){
    var mapping=new Array();
    
    
    mapping.UnitGroup=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.ReceiverComSpec=
    function(element){
    	handleDeleteTag(element, "maxNoNewOrRepeatedData");
    	handleDeleteTag(element, "syncCounterInit");
    };
    
    mapping.SwcNvBlockNeeds=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "l_nvDataPortPrototype");
    };
    
    mapping.NvDataPortAnnotation=
    function(element){
    	handleDeleteStereotype(element, "NvDataPortAnnotation");
    	handleDeleteStereotypeFromAggregates(element, "l_nvDataPrototype");
    };
    
    mapping.NvBlockNeeds=
    function(element){
    	handleDeleteTag(element, "ramBlockStatusControl");
    	handleDeleteTag(element, "storeAtShutdown");
    };
    
    mapping.RoleBasedPortAssignment=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "clientServerPort");
    	handleDeleteStereotypeFromAggregates(element, "l_portPrototype");
    };
    
    mapping.EndToEndDescription=
    function(element){
    	handleDeleteTag(element, "maxNoNewOrRepeatedData");
    	handleDeleteTag(element, "syncCounterInit");
    };
    
    mapping.PortPrototype=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "NvDataPortAnnotation");
    };
    
    mapping.NvBlockSwComponentType=
    function(element){
    	handleDeleteStereotype(element, "NvBlockSwComponentType");
    	handleDeleteStereotypeFromAggregates(element, "NvBlockDescriptor");
    };
    
    mapping.RunnableEntityArgument=
    function(element){
    	handleDeleteStereotype(element, "RunnableEntityArgument");
    };
    
    mapping.CompuScale=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "compuInverseValue");
    };
    
    mapping.FlexrayTpChannel=
    function(element){
    	handleDeleteTag(element, "maxFcWait");
    	handleDeleteStereotype(element, "l_nPdu");
    };
    
    mapping.RunnableEntity=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "RunnableEntityArgument");
    };
    
    mapping.NvBlockDescriptor=
    function(element){
    	handleDeleteStereotype(element, "NvBlockDescriptor");
    	handleDeleteStereotypeFromAggregates(element, "clientServerPort");
    	handleDeleteStereotypeFromAggregates(element, "NvBlockDataMapping");
    	handleDeleteStereotypeFromAggregates(element, "NvBlockNeeds");
    	handleDeleteStereotypeFromAggregates(element, "ramBlock");
    	handleDeleteStereotypeFromAggregates(element, "l_ramBlockInitValue");
    	handleDeleteStereotypeFromAggregates(element, "l_romBlockInitValue");
    };
    
    mapping.AtomicSoftwareComponentType=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "SymbolProps");
    };
    
    mapping.NvDataInterface=
    function(element){
    	handleDeleteStereotype(element, "NvDataInterface");
    	handleDeleteStereotypeFromAggregates(element, "nvData");
    };
    
    mapping.FlexrayIsoTpEcu=
    function(element){
    	handleDeleteTag(element, "transmitCancellation");
    };
    
    mapping.NvBlockDataPrototype=
    function(element){
    	handleDeleteStereotype(element, "ramBlock");
    };
    
    mapping.NvRamBlockDataPrototypeRef=
    function(element){
    	handleDeleteStereotype(element, "nvRamBlockElementRef");
    	handleDeleteStereotypeFromAggregates(element, "l_subElement");
    };
    
    mapping.CommunicationConnector=
    function(element){
    	handleDeleteTag(element, "nmEnabled");
    };
    
    mapping.ImplementationProps=
    function(element){
    	handleDeleteStereotype(element, "SymbolProps");
    };
    
    mapping.NvProvideComSpec=
    function(element){
    	handleDeleteStereotype(element, "NvProvideComSpec");
    	handleDeleteStereotypeFromAggregates(element, "l_nvDataElement");
    	handleDeleteStereotypeFromAggregates(element, "l_ramBlockInitValue");
    	handleDeleteStereotypeFromAggregates(element, "l_romBlockInitValue");
    };
    
    mapping.NvBlockDataMapping=
    function(element){
    	handleDeleteStereotype(element, "NvBlockDataMapping");
    	handleDeleteStereotypeFromAggregates(element, "readNvData");
    	handleDeleteStereotypeFromAggregates(element, "writtenNvData");
    };
    
    mapping.SymbolProps=
    function(element){
    	handleDeleteStereotype(element, "SymbolProps");
    };
    
    mapping.LinSlaveConfig=
    function(element){
    	handleDeleteStereotype(element, "LinSlaveConfig");
    	handleDeleteStereotypeFromAggregates(element, "LinErrorResponse");
    	handleDeleteStereotype(element, "l_linSlaveEcu");
    };
    
    mapping.ModuleDef=
    function(element){
    	handleDeleteTag(element, "apiServicePrefix");
    };
    
    mapping.LinMaster=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "LinSlaveConfig");
    };
    
    mapping.UnqueuedReceiverComSpec=
    function(element){
    	handleDeleteTag(element, "enableUpdate");
    };
    
    mapping.NvRequireComSpec=
    function(element){
    	handleDeleteStereotype(element, "NvRequireComSpec");
    	handleDeleteStereotype(element, "l_initValue");
    	handleDeleteStereotypeFromAggregates(element, "l_nvDataElement");
    };
    
    
    return mapping;
}
