/********************************************************************************
*Licensed Materials - Property of IBM
*(c) Copyright IBM Corporation 2008, 2016. All Rights Reserved.
*
*Note to U.S. Government Users Restricted Rights:  
*Use, duplication or disclosure restricted by GSA ADP Schedule 
*Contract with IBM Corp.
********************************************************************************/

function main(){
    var mapping=new Array();
    
    
    mapping.PTriggerInAtomicSwcTypeInstanceRef=
    function(element){
    	handleDeleteStereotype(element, "PTriggerInAtomicSwcTypeInstanceRef");
    };
    
    mapping.ApplicationRecordDataType=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "ApplicationRecordElement");
    };
    
    mapping.LinSporadicFrame=
    function(element){
    	handleDeleteStereotype(element, "LinSporadicFrame");
    };
    
    mapping.OffsetTimingConstraint=
    function(element){
    	handleDeleteStereotype(element, "OffsetTimingConstraint");
    };
    
    mapping.NumericalValueVariationPoint=
    function(element){
    	handleDeleteStereotype(element, "NumericalValueVariationPoint");
    };
    
    mapping.ObdPidServiceNeeds=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.TimingEvent=
    function(element){
    	handleDeleteStereotype(element, "disabledMode");
    };
    
    mapping.VariationPointProxy=
    function(element){
    	handleDeleteStereotype(element, "VariationPointProxy");
    	handleDeleteStereotype(element, "conditionAccess");
    };
    
    mapping.SwValueCont=
    function(element){
    	handleDeleteStereotype(element, "SwValueCont");
    };
    
    mapping.CalibrationParameterValueSet=
    function(element){
    	handleDeleteStereotype(element, "CalibrationParameterValueSet");
    };
    
    mapping.subElement=
    function(element){
    	handleDeleteStereotype(element, "subElement"); handleDeleteStereotype(element, "instanceInMemory"); handleDeleteStereotype(element, "subElement");
    };
    
    mapping.SwAxisIndividual=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.CommunicationConnectorRefConditional=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "l_communicationConnector");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.FootnoteText=
    function(element){
    	handleDeleteTag(element, "mixedContentIndex");
    	handleDeleteStereotypeFromAggregates(element, "sub");
    	handleDeleteStereotypeFromAggregates(element, "sup");
    	//TODO Check if AtpMixedStringData is Delete in Ft
    	handleDeleteStereotypeFromAggregates(element, "EmphasisText");
    	handleDeleteStereotypeFromAggregates(element, "Tt");
    };
    
    mapping.ModeInterfaceMapping=
    function(element){
    	handleDeleteStereotype(element, "ModeInterfaceMapping");
    	handleDeleteStereotype(element, "modeMapping");
    };
    
    mapping.PduTriggering=
    function(element){
    	handleDeleteStereotype(element, "iPdu");
    	handleDeleteStereotype(element, "IPduPort");
    	handleDeleteStereotypeFromAggregates(element, "ISignalTriggeringRefConditional");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.HwCategory=
    function(element){
    	handleDeleteStereotype(element, "HwCategory");
    };
    
    mapping.PortDefinedArgumentValue=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "l_valueType");
    };
    
    mapping.DocumentationContext=
    function(element){
    	handleDeleteStereotype(element, "DocumentationContext");
    };
    
    mapping.PrmChar=
    function(element){
    	handleDeleteStereotype(element, "PrmChar");
    };
    
    mapping.Datatypes=
    function(element){
    	handleRenameStereotype(element, "ApplicationArrayElement", "ArrayElement");
    	handleRenameStereotype(element, "ApplicationArrayDataType", "ArrayType");
    	//TODO add case in *.properties file
    	handleRenameStereotype(element, "ApplicationRecordElement", "RecordElement");
    	handleRenameStereotype(element, "ApplicationRecordDataType", "RecordType");
    };
    
    mapping.EcucLinkerSymbolDefConditional=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.DataWriteCompletedEvent=
    function(element){
    	handleDeleteStereotype(element, "DataWriteCompletedEvent");
    	handleDeleteStereotype(element, "disabledMode");
    };
    
    mapping.SwPointerTargetProps=
    function(element){
    	handleDeleteTag(element, "targetCategory");
    	handleDeleteStereotype(element, "BswModuleEntry");
    	//TODO Check if swDataDefProps is Delete in SwPointer
    };
    
    mapping.SwcBswSynchronizedModeGroupPrototype=
    function(element){
    	handleDeleteStereotype(element, "SwcBswSynchronizedModeGroupPrototype");
    };
    
    mapping.EcucDefinitionCollection=
    function(element){
    	handleDeleteStereotype(element, "EcucModuleDef");
    };
    
    mapping.HwElementRefConditional=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "l_hwElement");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.SwComponentType=
    function(element){
    	//TODO Check if port is Delete in ComponentType
    	//TODO Check if portGroup is Delete in ComponentType
    	handleDeleteStereotypeFromAggregates(element, "SwComponentDocumentation");
    };
    
    mapping.DataReceivedEvent=
    function(element){
    	handleRenameStereotypeFromAnnotationChild(element, "RVariableInAtomicSwcInstanceRef", "DataReceivedEvent_data");
    	handleDeleteStereotype(element, "disabledMode");
    };
    
    mapping.SwAxisGrouped=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.TtcanClusterConditional=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.EcucDefinitionElement=
    function(element){
    	handleDeleteTag(element, "lowerMultiplicityShortLabel");
    	handleDeleteTag(element, "lowerMultiplicityValue");
    	handleDeleteTag(element, "upperMultiplicityInfiniteShortLabel");
    	handleDeleteTag(element, "upperMultiplicityInfiniteValue");
    	handleDeleteTag(element, "upperMultiplicityShortLabel");
    	handleDeleteTag(element, "upperMultiplicityValue");
    	handleDeleteStereotypeFromAggregates(element, "EcucConditionSpecification");
    	handleDeleteStereotypeFromAggregates(element, "upperMultiplicityInfinite");
    };
    
    mapping.LinSlave=
    function(element){
    	moveTagToOwner(element, "configuredNad");
    	moveTagToOwner(element, "protocolVersion");
    	handleDeleteStereotype(element, "LinSlaveVariant");
    };
    
    mapping.LanguageDataModel=
    function(element){
    	handleRenameStereotype(element, "LParagraph", "L1");
    	handleRenameStereotype(element, "LPlainText", "L10");
    	handleRenameStereotype(element, "LOverviewParagraph", "L2");
    	handleRenameStereotype(element, "LLongName", "L4");
    	handleRenameStereotype(element, "LVerbatim", "L5");
    	handleRenameStereotype(element, "LGraphic", "MlGraphic");
    };
    
    mapping.MsrQueryChapter=
    function(element){
    	handleDeleteStereotype(element, "MsrQueryChapter");
    };
    
    mapping.XcpPdu=
    function(element){
    	handleDeleteStereotype(element, "XcpPdu");
    };
    
    mapping.EcucStringParamDef=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "EcucStringParamDefVariant");
    	handleDeleteStereotype(element, "EcucStringParamDefVariant");
    };
    
    mapping.LinTpNode=
    function(element){
    	handleDeleteStereotype(element, "LinTpNode");
    };
    
    mapping.EcucChoiceReferenceDef=
    function(element){
    	handleDeleteStereotype(element, "EcucParamConfContainerDef");
    };
    
    mapping.FlexrayCommunicationController=
    function(element){
    	moveTagToOwner(element, "acceptedStartupRange");
    	moveTagToOwner(element, "allowHaltDueToClock");
    	moveTagToOwner(element, "allowPassiveToActive");
    	moveTagToOwner(element, "clusterDriftDamping");
    	moveTagToOwner(element, "decodingCorrection");
    	moveTagToOwner(element, "delayCompensationA");
    	moveTagToOwner(element, "delayCompensationB");
    	moveTagToOwner(element, "externOffsetCorrection");
    	moveTagToOwner(element, "externRateCorrection");
    	moveTagToOwner(element, "keySlotOnlyEnabled");
    	moveTagToOwner(element, "keySlotUsedForStartUp");
    	moveTagToOwner(element, "keySlotUsedForSync");
    	moveTagToOwner(element, "latestTX");
    	moveTagToOwner(element, "listenTimeout");
    	moveTagToOwner(element, "macroInitialOffsetA");
    	moveTagToOwner(element, "macroInitialOffsetB");
    	moveTagToOwner(element, "maximumDynamicPayloadLength");
    	moveTagToOwner(element, "microInitialOffsetA");
    	moveTagToOwner(element, "microInitialOffsetB");
    	moveTagToOwner(element, "microPerCycle");
    	moveTagToOwner(element, "microtickDuration");
    	moveTagToOwner(element, "offsetCorrectionOut");
    	moveTagToOwner(element, "rateCorrectionOut");
    	moveTagToOwner(element, "samplesPerMicrotick");
    	moveTagToOwner(element, "wakeUpPattern");
    	handleDeleteStereotype(element, "FlexrayCommunicationControllerVariant");
    };
    
    mapping.Note=
    function(element){
    	handleDeleteStereotype(element, "Note");
    };
    
    mapping.ComplexDeviceDriverSwComponentType=
    function(element){
    	handleDeleteStereotype(element, "HwElement");
    };
    
    mapping.HwAttributeLiteralDef=
    function(element){
    	handleDeleteStereotype(element, "HwAttributeLiteralDef");
    };
    
    mapping.EcuPartition=
    function(element){
    	handleDeleteStereotype(element, "EcuPartition");
    };
    
    mapping.J1939TpConfig=
    function(element){
    	handleDeleteStereotype(element, "J1939TpConfig");
    };
    
    mapping.ConfidenceInterval=
    function(element){
    	handleDeleteStereotype(element, "ConfidenceInterval");
    };
    
    mapping.SwComponentPrototype=
    function(element){
    	handleDeleteStereotype(element, "SwComponentType");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.EndToEndProtectionVariablePrototype=
    function(element){
    	handleDeleteStereotype(element, "EndToEndProtectionVariablePrototype");
    	handleDeleteStereotype(element, "receiver"); handleDeleteStereotype(element, "sender");
    };
    
    mapping.ValueList=
    function(element){
    	handleDeleteTag(element, "v");
    	handleDeleteTag(element, "vfShortLabel");
    	handleDeleteTag(element, "vfValue");
    	handleDeleteStereotypeFromAggregates(element, "NumericalValueVariationPoint");
    };
    
    mapping.IndentSample=
    function(element){
    	handleDeleteStereotype(element, "IndentSample");
    };
    
    mapping.McParameterElementGroup=
    function(element){
    	handleDeleteStereotype(element, "McParameterElementGroup");
    };
    
    mapping.SwAxisCont=
    function(element){
    	handleDeleteStereotype(element, "SwAxisCont");
    };
    
    mapping.Entry=
    function(element){
    	handleDeleteStereotype(element, "Entry");
    };
    
    mapping.CanNmNode=
    function(element){
    	handleDeleteStereotype(element, "CanNmNode");
    };
    
    mapping.VariableAccess=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "accessedVariable");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.EcucValueCollection=
    function(element){
    	handleDeleteStereotype(element, "System");
    	handleDeleteStereotypeFromAggregates(element, "ecucValue");
    	handleDeleteStereotype(element, "ecucValue");
    };
    
    mapping.ConditionByFormula=
    function(element){
    	handleDeleteTag(element, "bindingTime");
    };
    
    mapping.FloatValueVariationPoint=
    function(element){
    	handleDeleteStereotype(element, "FloatValueVariationPoint");
    };
    
    mapping.BswCyclicEvent=
    function(element){
    	//TODO add handleRenameTag(element, "period", "cycleTime"); on BswTimingEvent rule
    };
    
    mapping._instanceRef=
    function(element){
    	handleRenameStereotype(element, "AnyInstanceRef", "InstanceReferenceValue_value");
    };
    
    mapping.EcucLinkerSymbolDef=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "EcucLinkerSymbolDefVariant");
    	handleDeleteStereotype(element, "EcucLinkerSymbolDefVariant");
    };
    
    mapping.TDEventBswModeDeclaration=
    function(element){
    	handleDeleteStereotype(element, "TDEventBswModeDeclaration");
    };
    
    mapping.FlexrayTpConnectionControl=
    function(element){
    	handleDeleteTag(element, "maxAr");
    	handleDeleteTag(element, "maxAs");
    	handleDeleteTag(element, "maxBufferSize");
    	handleDeleteTag(element, "maxFcWait");
    	handleDeleteTag(element, "maxFrIf");
    	handleDeleteTag(element, "maxNumberOfNpduPerCycle");
    	handleDeleteTag(element, "maxRetries");
    	handleDeleteTag(element, "separationCycleExponent");
    	handleDeleteTag(element, "timeBr");
    	handleDeleteTag(element, "timeBuffer");
    	handleDeleteTag(element, "timeFrIf");
    	handleDeleteTag(element, "timeoutAr");
    	handleDeleteTag(element, "timeoutAs");
    	handleDeleteTag(element, "timeoutBs");
    	handleDeleteTag(element, "timeoutCr");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.MultilanguageData=
    function(element){
    	handleRenameStereotype(element, "MultiLanguageParagraph", "MlData1");
    	handleRenameStereotype(element, "MultiLanguagePlainText", "MlData10");
    	handleRenameStereotype(element, "MultiLanguageOverviewParagraph", "MlData2");
    	handleRenameStereotype(element, "MultilanguageLongName", "MlData4");
    	handleRenameStereotype(element, "MultiLanguageVerbatim", "MlData5");
    };
    
    mapping.FlexrayTpEcu=
    function(element){
    	handleDeleteStereotype(element, "FlexrayTpEcu");
    };
    
    mapping.InnerPortGroupInCompositionInstanceRef=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "l_context");
    	handleDeleteStereotypeFromAggregates(element, "l_target");
    };
    
    mapping.LinUnconditionalFrame=
    function(element){
    	handleDeleteStereotype(element, "LinUnconditionalFrame");
    };
    
    mapping.ParameterProvideComSpec=
    function(element){
    	handleDeleteStereotype(element, "ParameterProvideComSpec");
    };
    
    mapping.EOCExecutableEntityRef=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "ComponentInCompositionInstanceRef");
    	//TODO check if the target 'ExecutableEntity' of 'l_executable' can be created in the model
    	//TODO check if the target 'EOCExecutableEntityRef' of 'l_successor' can be created in the model
    };
    
    mapping.DiagnosticEventNeeds=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.EcuAbstractionSwComponentType=
    function(element){
    	handleDeleteStereotype(element, "HwElement");
    };
    
    mapping.SwcBswSynchronizedTrigger=
    function(element){
    	handleDeleteStereotype(element, "SwcBswSynchronizedTrigger");
    };
    
    mapping.TimingDescriptionEventChain=
    function(element){
    	handleDeleteStereotype(element, "TimingDescriptionEventChain");
    };
    
    mapping.ModeSwitchReceiverComSpec=
    function(element){
    	handleDeleteStereotype(element, "ModeSwitchReceiverComSpec");
    };
    
    mapping.HwPinGroupConnector=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "hwPinConnection");
    	handleDeleteStereotypeFromAggregates(element, "l_hwPinGroup");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    	handleDeleteStereotype(element, "hwPinConnection");
    };
    
    mapping.ModeInBswModuleDescriptionInstanceRef=
    function(element){
    	//TODO check if the target 'ModeDeclarationGroupPrototype' of 'l_contextModeDeclarationGroup' can be created in the model
    	handleDeleteStereotypeFromAggregates(element, "l_targetMode");
    };
    
    mapping.ParameterRequireComSpec=
    function(element){
    	handleDeleteStereotype(element, "ParameterRequireComSpec");
    };
    
    mapping.BackgroundEvent=
    function(element){
    	handleDeleteStereotype(element, "BackgroundEvent");
    	handleDeleteStereotype(element, "disabledMode");
    };
    
    mapping.ARExtensionElement=
    function(element){
    	handleDeleteStereotype(element, "ARExtensionElement");
    };
    
    mapping.BswSchedulableEntity=
    function(element){
    	handleDeleteStereotype(element, "activationPoint"); handleDeleteStereotype(element, "calledEntry"); handleDeleteStereotype(element, "accessedModeGroup"); handleDeleteStereotype(element, "managedModeGroup"); handleDeleteStereotype(element, "issuedTrigger");
    };
    
    mapping.DiagnosticValueNeeds=
    function(element){
    	handleDeleteStereotype(element, "DiagnosticValueNeeds");
    };
    
    mapping.CanCommunicationControllerConditional=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.EcucParamConfContainerDef=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "EcucParameterDef");
    	handleDeleteStereotypeFromAggregates(element, "EcucAbstractReferenceDef");
    	handleDeleteStereotypeFromAggregates(element, "subContainer");
    };
    
    mapping.DiagnosticIoControlNeeds=
    function(element){
    	handleDeleteStereotype(element, "DiagnosticIoControlNeeds");
    };
    
    mapping.PModeGroupInAtomicSwcInstanceRef=
    function(element){
    	handleDeleteStereotype(element, "PModeGroupInAtomicSwcInstanceRef");
    };
    
    mapping.HwType=
    function(element){
    	handleDeleteStereotype(element, "HwType");
    };
    
    mapping.List=
    function(element){
    	handleDeleteStereotype(element, "List");
    };
    
    mapping.ArrayElement=
    function(element){
    	//TODO try to use handleStereotypeElementTagToInNewTag()
    };
    
    mapping.TtcanCluster=
    function(element){
    	handleDeleteStereotype(element, "TtcanCluster");
    	handleDeleteStereotype(element, "TtcanClusterVariant");
    };
    
    mapping.EcucMultilineStringParamDefConditional=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.CanTpNode=
    function(element){
    	handleDeleteStereotype(element, "CanTpNode");
    };
    
    mapping.FlexrayTpConfig=
    function(element){
    	handleDeleteStereotype(element, "FlexrayTpConfig");
    };
    
    mapping.Topic1=
    function(element){
    	handleDeleteStereotype(element, "Topic1");
    };
    
    mapping.UnassignFrameId=
    function(element){
    	handleDeleteStereotype(element, "LinFrameTriggering");
    };
    
    mapping.McSupportData=
    function(element){
    	handleDeleteStereotype(element, "McSupportData");
    	handleDeleteStereotype(element, "mcParameterInstance"); handleDeleteStereotype(element, "mcVariableInstance"); handleDeleteStereotype(element, "emulationSupport");
    };
    
    mapping.Documentation=
    function(element){
    	handleDeleteStereotype(element, "Documentation");
    	handleDeleteStereotype(element, "documentationContent");
    };
    
    mapping.NvDataInterface=
    function(element){
    	handleDeleteStereotype(element, "NvDataInterface");
    };
    
    mapping.EcucAbstractReferenceValue=
    function(element){
    	handleDeleteStereotype(element, "EcucAbstractReferenceDef");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.ChapterContent=
    function(element){
    	handleDeleteStereotype(element, "ChapterContent");
    };
    
    mapping.ModeSwitchInterface=
    function(element){
    	handleDeleteStereotype(element, "ModeSwitchInterface");
    };
    
    mapping.MixedContentForParagraph=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "sub");
    	handleDeleteStereotypeFromAggregates(element, "sup");
    	//TODO Check if AtpMixedStringData is Delete in MixedContent1
    	handleDeleteStereotypeFromAggregates(element, "Br");
    	handleDeleteStereotypeFromAggregates(element, "EmphasisText");
    	handleDeleteStereotypeFromAggregates(element, "FootnoteText");
    	handleDeleteStereotypeFromAggregates(element, "IndexEntry");
    	handleDeleteStereotypeFromAggregates(element, "Std");
    	handleDeleteStereotypeFromAggregates(element, "Tt");
    	handleDeleteStereotypeFromAggregates(element, "Xdoc");
    	//TODO Check if xfile is Delete in MixedContent1
    	handleDeleteStereotypeFromAggregates(element, "Xref");
    	handleDeleteStereotypeFromAggregates(element, "XrefTarget");
    };
    
    mapping.ParameterInterface=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "ParameterDataPrototype");
    };
    
    mapping.Area=
    function(element){
    	handleDeleteStereotype(element, "Area");
    };
    
    mapping.EcucDerivationSpecification=
    function(element){
    	handleDeleteStereotype(element, "EcucDerivationSpecification");
    	handleDeleteStereotype(element, "calculationFormula");
    };
    
    mapping.CanCommunicationController=
    function(element){
    	handleDeleteStereotype(element, "CanCommunicationController");
    	handleDeleteStereotype(element, "CanCommunicationControllerVariant");
    };
    
    mapping.UdpNmClusterCoupling=
    function(element){
    	handleDeleteStereotype(element, "UdpNmClusterCoupling");
    };
    
    mapping.HwElementConnector=
    function(element){
    	handleDeleteStereotype(element, "HwElementConnector");
    	handleDeleteStereotype(element, "hwPinConnection"); handleDeleteStereotype(element, "hwPinGroupConnection");
    };
    
    mapping.InternalTriggeringPoint=
    function(element){
    	handleDeleteStereotype(element, "InternalTriggeringPoint");
    };
    
    mapping.TextValueSpecification=
    function(element){
    	handleDeleteTag(element, "value");
    };
    
    mapping.J1939TpNode=
    function(element){
    	handleDeleteStereotype(element, "J1939TpNode");
    };
    
    mapping.EcucConfigurationClassAffection=
    function(element){
    	handleDeleteStereotype(element, "EcucCommonAttributes");
    };
    
    mapping.LinEventTriggeredFrame=
    function(element){
    	handleDeleteStereotype(element, "LinEventTriggeredFrame");
    };
    
    mapping.LinTpConfig=
    function(element){
    	handleDeleteStereotype(element, "LinTpConfig");
    };
    
    mapping.Compu=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "CompuScale");
    };
    
    mapping.MlFigure=
    function(element){
    	handleDeleteStereotype(element, "MlFigure");
    };
    
    mapping.ParameterAccess=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "accessedParameter");
    	handleDeleteStereotypeFromAggregates(element, "SwDataDefProps");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.SwcModeSwitchEvent=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "mode");
    	handleDeleteStereotype(element, "mode"); handleDeleteStereotype(element, "disabledMode"); handleDeleteStereotype(element, "mode");
    };
    
    mapping.LabeledItem=
    function(element){
    	handleDeleteStereotype(element, "LabeledItem");
    };
    
    mapping.BswInternalTriggeringPoint=
    function(element){
    	handleDeleteStereotype(element, "BswInternalTriggeringPoint");
    };
    
    mapping.ServiceMapping=
    function(element){
    	handleRenameStereotype(element, "RoleBasedPortAssignment", "RoleBasedPPortAssignment");
    };
    
    mapping.TtcanCommunicationConnector=
    function(element){
    	handleDeleteStereotype(element, "TtcanCommunicationConnector");
    };
    
    mapping.PortPrototypeBlueprintMapping=
    function(element){
    	handleDeleteStereotype(element, "PortPrototypeBlueprintMapping");
    };
    
    mapping.MlFormula=
    function(element){
    	handleDeleteStereotype(element, "MlFormula");
    };
    
    mapping.TriggerRefConditional=
    function(element){
    	//TODO check if the target 'Trigger' of 'l_trigger' can be created in the model
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.ParameterDataPrototype=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "ValueSpecification");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.FlexrayTpPduPool=
    function(element){
    	handleDeleteStereotype(element, "FlexrayTpPduPool");
    };
    
    mapping.EcucModuleConfigurationValues=
    function(element){
    	handleDeleteTag(element, "ecucDefEdition");
    	handleDeleteStereotypeFromAggregates(element, "EcucContainerValue");
    	handleDeleteStereotype(element, "EcucModuleDef");
    	handleDeleteStereotype(element, "BswImplementation");
    };
    
    mapping.EcucReferenceValue=
    function(element){
    	//TODO Check if value is Delete in ReferenceValue
    };
    
    mapping.CanNmEcu=
    function(element){
    	handleDeleteStereotype(element, "CanNmEcu");
    };
    
    mapping.CompositionSwComponentType=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "SwComponentPrototype");
    	handleDeleteStereotypeFromAggregates(element, "SwConnector");
    	handleDeleteStereotype(element, "ConstantSpecificationMappingSet");
    	handleDeleteStereotype(element, "DataTypeMappingSet");
    };
    
    mapping.mcVariableInstance=
    function(element){
    	handleDeleteStereotype(element, "subElement"); handleDeleteStereotype(element, "instanceInMemory"); handleDeleteStereotype(element, "subElement");
    };
    
    mapping.ApplicationAttributes=
    function(element){
    	handleRenameStereotype(element, "ParameterPortAnnotation", "CalibrationPortAnnotation");
    };
    
    mapping.DataTypeMap=
    function(element){
    	handleDeleteStereotype(element, "DataTypeMap");
    };
    
    mapping.AnyInstanceRef=
    function(element){
    	handleDeleteStereotype(element, "AtpFeature");
    	handleDeleteStereotype(element, "AtpFeature");
    };
    
    mapping.BswCalledEntity=
    function(element){
    	handleDeleteStereotype(element, "BswCalledEntity");
    	handleDeleteStereotype(element, "activationPoint"); handleDeleteStereotype(element, "calledEntry"); handleDeleteStereotype(element, "accessedModeGroup"); handleDeleteStereotype(element, "managedModeGroup"); handleDeleteStereotype(element, "issuedTrigger");
    };
    
    mapping.Composition=
    function(element){
    	handleRenameStereotype(element, "AssemblySwConnector", "AssemblyConnectorPrototype");
    	handleRenameStereotype(element, "SwComponentPrototype", "ComponentPrototype");
    	handleRenameStereotype(element, "CompositionSwComponentType", "CompositionType");
    	handleRenameStereotype(element, "DelegationSwConnector", "DelegationConnectorPrototype");
    };
    
    mapping.AutosarVariableRef=
    function(element){
    	handleDeleteStereotype(element, "AutosarVariableRef");
    	handleDeleteStereotype(element, "autosarVariableInImplDatatype"); handleDeleteStereotype(element, "autosarVariable");
    };
    
    mapping.HwAttributeDef=
    function(element){
    	handleDeleteStereotype(element, "HwAttributeDef");
    };
    
    mapping.EcucParameterDef=
    function(element){
    	handleDeleteTag(element, "withAuto");
    	handleDeleteStereotypeFromAggregates(element, "EcucDerivationSpecification");
    };
    
    mapping.FloatParamDef=
    function(element){
    	//TODO try to use handleStereotypeElementTagToInNewTag()
    	//TODO try to use handleStereotypeElementTagToInNewTag()
    	//TODO try to use handleStereotypeElementTagToInNewTag()
    };
    
    mapping.BswModuleEntryRefConditional=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "l_bswModuleEntry");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.CanTpChannel=
    function(element){
    	handleDeleteTag(element, "channelId");
    	handleDeleteTag(element, "channelMode");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.ValueGroup=
    function(element){
    	handleDeleteStereotype(element, "ValueGroup");
    };
    
    mapping.ApplicationArrayDataType=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "ApplicationArrayElement");
    };
    
    mapping.MsrQueryResultChapter=
    function(element){
    	handleDeleteStereotype(element, "MsrQueryResultChapter");
    };
    
    mapping.TDEventVariableDataPrototype=
    function(element){
    	handleDeleteStereotype(element, "TDEventVariableDataPrototype");
    };
    
    mapping.RootSwCompositionPrototype=
    function(element){
    	handleDeleteStereotype(element, "CalibrationParameterValueSet");
    	handleDeleteStereotype(element, "FlatMap");
    	handleDeleteStereotype(element, "CompositionSwComponentType");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.ISignalIPdu=
    function(element){
    	//TODO Check if iPduTimingSpecification is Delete in SignalIPdu
    	//TODO Check if iSignalToPduMapping is Delete in SignalIPdu
    	handleDeleteStereotypeFromAggregates(element, "SignalIPduCounter");
    	handleDeleteStereotypeFromAggregates(element, "SignalIPduReplication");
    };
    
    mapping.EcucIntegerParamDef=
    function(element){
    	handleDeleteTag(element, "defaultValueShortLabel");
    	handleDeleteTag(element, "defaultValueValue");
    	handleDeleteTag(element, "maxShortLabel");
    	handleDeleteTag(element, "maxValue");
    	handleDeleteTag(element, "minShortLabel");
    	handleDeleteTag(element, "minValue");
    };
    
    mapping.EventControlledTiming=
    function(element){
    	handleRenameTag(element, "numberOfRepetitions", "numberOfRepeats");
    };
    
    mapping.LinSlaveConditional=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.CanNmClusterCoupling=
    function(element){
    	handleDeleteStereotype(element, "CanNmClusterCoupling");
    };
    
    mapping.McSwEmulationMethodSupport=
    function(element){
    	handleDeleteTag(element, "category");
    	handleDeleteTag(element, "shortLabel");
    	//TODO check if the target 'VariableDataPrototype' of 'l_baseReference' can be created in the model
    	handleDeleteStereotypeFromAggregates(element, "McParameterElementGroup");
    	//TODO check if the target 'VariableDataPrototype' of 'l_referenceTable' can be created in the model
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.usedDataElement=
    function(element){
    	handleDeleteStereotype(element, "autosarVariableInImplDatatype"); handleDeleteStereotype(element, "autosarVariable");
    };
    
    mapping.CanTpConfig=
    function(element){
    	handleDeleteStereotype(element, "CanTpConfig");
    };
    
    mapping.SenderReceiverToSignalMapping=
    function(element){
    	handleRenameStereotypeFromAnnotationChild(element, "VariableDataPrototypeInSystemInstanceRef", "SenderReceiverToSignalMapping_dataElement");
    };
    
    mapping.BurstPatternEventTriggering=
    function(element){
    	handleDeleteStereotype(element, "BurstPatternEventTriggering");
    };
    
    mapping.TDEventOperation=
    function(element){
    	handleDeleteStereotype(element, "TDEventOperation");
    };
    
    mapping.ChapterModel=
    function(element){
    	handleDeleteStereotype(element, "ChapterModel");
    	handleDeleteStereotype(element, "topic1");
    };
    
    mapping.BooleanParamDef=
    function(element){
    	//TODO try to use handleStereotypeElementTagToInNewTag()
    };
    
    mapping.IntegerParamDef=
    function(element){
    	//TODO try to use handleStereotypeElementTagToInNewTag()
    	//TODO try to use handleStereotypeElementTagToInNewTag()
    	//TODO try to use handleStereotypeElementTagToInNewTag()
    };
    
    mapping.SocketConnectionIpduIdentifier=
    function(element){
    	handleDeleteStereotype(element, "SocketConnectionIpduIdentifier");
    };
    
    mapping.EcucQuery=
    function(element){
    	handleDeleteStereotype(element, "EcucQuery");
    };
    
    mapping.ISignalMapping=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "introduction");
    	handleDeleteStereotype(element, "ISignalTriggering");
    	handleDeleteStereotype(element, "ISignalTriggering");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.ValueSpecification=
    function(element){
    	handleDeleteTag(element, "shortLabel");
    };
    
    mapping.FlexrayNmCluster=
    function(element){
    	handleDeleteStereotype(element, "FlexrayNmCluster");
    };
    
    mapping.KeywordSet=
    function(element){
    	handleDeleteStereotype(element, "KeywordSet");
    };
    
    mapping.ConditionalChangeNad=
    function(element){
    	handleDeleteStereotype(element, "ConditionalChangeNad");
    };
    
    mapping.LinMasterConditional=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.VariableDataPrototypeInSystemInstanceRef=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "l_contextComponent");
    	//TODO check if the target 'RootSwCompositionPrototype' of 'l_contextComposition' can be created in the model
    	//TODO check if the target 'PortPrototype' of 'l_contextPort' can be created in the model
    	//TODO check if the target 'VariableDataPrototype' of 'l_targetDataPrototype' can be created in the model
    };
    
    mapping.ApplicationArrayElement=
    function(element){
    	handleDeleteTag(element, "arraySizeSemantics");
    	handleDeleteTag(element, "maxNumberOfElementsShortLabel");
    	handleDeleteTag(element, "maxNumberOfElementsValue");
    };
    
    mapping.BswModuleDescription=
    function(element){
    	handleChangeGeneralizationTarget(element);
    	handleDeleteStereotype(element, "outgoingCallback"); handleDeleteStereotype(element, "providedEntry");
    };
    
    mapping.ARExtensionAttribute=
    function(element){
    	handleDeleteStereotype(element, "ARExtensionAttribute");
    };
    
    mapping.BswExternalTriggerOccurredEvent=
    function(element){
    	handleDeleteStereotype(element, "BswExternalTriggerOccurredEvent");
    	handleDeleteStereotype(element, "disabledInMode");
    };
    
    mapping.SaveConfigurationEntry=
    function(element){
    	handleDeleteStereotype(element, "SaveConfigurationEntry");
    };
    
    mapping.TDEventBswModule=
    function(element){
    	handleDeleteStereotype(element, "TDEventBswModule");
    };
    
    mapping.writtenNvData=
    function(element){
    	handleDeleteStereotype(element, "autosarVariableInImplDatatype"); handleDeleteStereotype(element, "autosarVariable");
    };
    
    mapping.nvRamBlockElement=
    function(element){
    	handleDeleteStereotype(element, "autosarVariableInImplDatatype"); handleDeleteStereotype(element, "autosarVariable");
    };
    
    mapping.AliasNameSet=
    function(element){
    	handleDeleteStereotype(element, "AliasNameSet");
    };
    
    mapping.PredefinedVariant=
    function(element){
    	handleDeleteStereotype(element, "PredefinedVariant");
    };
    
    mapping.InstantiationDataDefProps=
    function(element){
    	handleDeleteStereotype(element, "InstantiationDataDefProps");
    };
    
    mapping.ImplementationDataType=
    function(element){
    	handleDeleteStereotype(element, "ImplementationDataType");
    	handleDeleteStereotype(element, "subElement"); handleDeleteStereotype(element, "subElement");
    };
    
    mapping.PrmCharTextualContents=
    function(element){
    	handleDeleteStereotype(element, "PrmCharTextualContents");
    };
    
    mapping.EcucEnumerationLiteralDef=
    function(element){
    	handleDeleteTag(element, "origin");
    	handleDeleteStereotypeFromAggregates(element, "EcucConditionSpecification");
    };
    
    mapping.CompuNominatorDenominator=
    function(element){
    	handleDeleteTag(element, "vShortLabel");
    	handleDeleteTag(element, "vValue");
    	handleDeleteStereotypeFromAggregates(element, "v");
    };
    
    mapping.BswBackgroundEvent=
    function(element){
    	handleDeleteStereotype(element, "BswBackgroundEvent");
    	handleDeleteStereotype(element, "disabledInMode");
    };
    
    mapping.TriggerPortAnnotation=
    function(element){
    	handleDeleteStereotype(element, "TriggerPortAnnotation");
    };
    
    mapping.Graphic=
    function(element){
    	handleDeleteStereotype(element, "Graphic");
    };
    
    mapping.UnlimitedIntegerValueVariationPoint=
    function(element){
    	handleDeleteStereotype(element, "UnlimitedIntegerValueVariationPoint");
    };
    
    mapping.VariableInAtomicSWCTypeInstanceRef=
    function(element){
    	//TODO check if the target 'ApplicationCompositeElementDataPrototype' of 'l_contextDataPrototype' can be created in the model
    	//TODO check if the target 'PortPrototype' of 'l_portPrototype' can be created in the model
    	//TODO check if the target 'VariableDataPrototype' of 'l_rootVariableDataPrototype' can be created in the model
    	//TODO check if the target 'DataPrototype' of 'l_targetDataPrototype' can be created in the model
    };
    
    mapping.SwcToEcuMappingConstraint=
    function(element){
    	handleRenameStereotypeFromAnnotationChild(element, "ComponentInSystemInstanceRef", "SwcToEcuMappingConstraint_component");
    };
    
    mapping.AutosarParameterRef=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "autosarParameter");
    	handleDeleteStereotype(element, "ParameterDataPrototype");
    	handleDeleteStereotype(element, "autosarParameter");
    };
    
    mapping.AsynchronousServerCallResultPoint=
    function(element){
    	handleDeleteStereotype(element, "AsynchronousServerCallResultPoint");
    };
    
    mapping.HwPinGroup=
    function(element){
    	handleDeleteStereotype(element, "HwPinGroup");
    };
    
    mapping.BswInternalTriggerOccurredEvent=
    function(element){
    	handleDeleteStereotype(element, "BswInternalTriggeringPoint");
    	handleDeleteStereotype(element, "disabledInMode");
    };
    
    mapping.FramePid=
    function(element){
    	handleDeleteStereotype(element, "FramePid");
    };
    
    mapping.CryptoServiceNeeds=
    function(element){
    	handleDeleteStereotype(element, "CryptoServiceNeeds");
    };
    
    mapping.MixedContentForLongName=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "sub");
    	handleDeleteStereotypeFromAggregates(element, "sup");
    	//TODO Check if AtpMixedStringData is Delete in MixedContent4
    	handleDeleteStereotypeFromAggregates(element, "EmphasisText");
    	handleDeleteStereotypeFromAggregates(element, "IndexEntry");
    	handleDeleteStereotypeFromAggregates(element, "Tt");
    };
    
    mapping.SwSystemconstValue=
    function(element){
    	handleDeleteTag(element, "valueShortLabel");
    	handleDeleteTag(element, "valueValue");
    	handleDeleteStereotypeFromAggregates(element, "l_swSystemconst");
    	handleDeleteStereotypeFromAggregates(element, "value");
    };
    
    mapping.HwPortMapping=
    function(element){
    	handleDeleteStereotype(element, "HwPortMapping");
    };
    
    mapping.Fibex4Multiplatform=
    function(element){
    	handleRenameStereotype(element, "ISignalMapping", "SignalMapping");
    };
    
    mapping.Timing=
    function(element){
    	handleRenameStereotype(element, "TransmissionModeTiming", "TransmissionModeFalseTiming");
    };
    
    mapping.Map=
    function(element){
    	handleDeleteStereotype(element, "Map");
    };
    
    mapping.PrmCharNumericalContents=
    function(element){
    	handleDeleteStereotype(element, "PrmCharNumericalContents");
    };
    
    mapping.ObdControlServiceNeeds=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.BswModuleEntry=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.SwComponentDocumentation=
    function(element){
    	handleDeleteStereotype(element, "SwComponentDocumentation");
    };
    
    mapping.accessedParameter=
    function(element){
    	handleDeleteStereotype(element, "autosarParameter");
    };
    
    mapping.NmEcu=
    function(element){
    	handleDeleteTag(element, "nmBusSynchronizationEnabled");
    	handleDeleteTag(element, "nmComControlEnabled");
    	handleDeleteTag(element, "nmCycletimeMainFunction");
    	handleDeleteTag(element, "nmMultipleChannelsEnabled");
    	handleDeleteTag(element, "nmNodeDetectionEnabled");
    	handleDeleteTag(element, "nmNodeIdEnabled");
    	handleDeleteTag(element, "nmPassiveModeEnabled");
    	handleDeleteTag(element, "nmPduRxIndicationEnabled");
    	handleDeleteTag(element, "nmRemoteSleepIndEnabled");
    	handleDeleteTag(element, "nmRepeatMsgIndEnabled");
    	handleDeleteTag(element, "nmStateChangeIndEnabled");
    	handleDeleteTag(element, "nmUserDataEnabled");
    	handleDeleteStereotypeFromAggregates(element, "l_ecuInstance");
    	handleDeleteStereotypeFromAggregates(element, "NmCoordinator");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.TopicOrMsrQuery=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "MsrQueryTopic1");
    	handleDeleteStereotypeFromAggregates(element, "topic1");
    };
    
    mapping.TtcanCommunicationControllerConditional=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.BlueprintMappingSet=
    function(element){
    	handleDeleteStereotype(element, "BlueprintMappingSet");
    };
    
    mapping.TDEventModeDeclaration=
    function(element){
    	handleDeleteStereotype(element, "TDEventModeDeclaration");
    };
    
    mapping.LabeledList=
    function(element){
    	handleDeleteStereotype(element, "LabeledList");
    };
    
    mapping.EcucModuleDef=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "EcucContainerDef");
    	handleDeleteStereotype(element, "EcucModuleDef");
    };
    
    mapping.TraceableText=
    function(element){
    	handleDeleteStereotype(element, "TraceableText");
    };
    
    mapping.TtcanPhysicalChannel=
    function(element){
    	handleDeleteStereotype(element, "TtcanPhysicalChannel");
    	handleDeleteStereotype(element, "commConnector");
    };
    
    mapping.ECUCParameterDefTemplate=
    function(element){
    	handleRenameStereotype(element, "EcucBooleanParamDef", "BooleanParamDef");
    	handleRenameStereotype(element, "EcucChoiceContainerDef", "ChoiceContainerDef");
    	handleRenameStereotype(element, "EcucChoiceReferenceDef", "ChoiceReferenceParamDef");
    	handleRenameStereotype(element, "EcucConfigurationClassAffection", "ConfigurationClassAffection");
    	handleRenameStereotype(element, "EcucDefinitionCollection", "EcuParameterDefinition");
    	handleRenameStereotype(element, "EcucEnumerationLiteralDef", "EnumerationLiteralDef");
    	handleRenameStereotype(element, "EcucEnumerationParamDef", "EnumerationParamDef");
    	handleRenameStereotype(element, "EcucFloatParamDef", "FloatParamDef");
    	handleRenameStereotype(element, "EcucForeignReferenceDef", "ForeignReferenceParamDef");
    	handleRenameStereotype(element, "EcucFunctionNameDef", "FunctionNameDef");
    	handleRenameStereotype(element, "EcucImplementationConfigurationClass", "ImplementationConfigClass");
    	handleRenameStereotype(element, "EcucInstanceReferenceDef", "InstanceReferenceParamDef");
    	handleRenameStereotype(element, "EcucIntegerParamDef", "IntegerParamDef");
    	handleRenameStereotype(element, "EcucLinkerSymbolDef", "LinkerSymbolDef");
    	handleRenameStereotype(element, "EcucModuleDef", "ModuleDef");
    	handleRenameStereotype(element, "EcucParamConfContainerDef", "ParamConfContainerDef");
    	handleRenameStereotype(element, "EcucReferenceDef", "ReferenceParamDef");
    	handleRenameStereotype(element, "EcucStringParamDef", "StringParamDef");
    	handleRenameStereotype(element, "EcucSymbolicNameReferenceDef", "SymbolicNameReferenceParamDef");
    };
    
    mapping.J1939TpConnection=
    function(element){
    	handleDeleteStereotype(element, "J1939TpConnection");
    };
    
    mapping.SwcToSwcOperationArguments=
    function(element){
    	handleRenameStereotypeFromAnnotationChild(element, "OperationInSystemInstanceRef", "SwcToSwcOperationArguments_operation");
    };
    
    mapping.InvalidationPolicy=
    function(element){
    	handleDeleteStereotype(element, "InvalidationPolicy");
    };
    
    mapping.SwSystemconst=
    function(element){
    	handleDeleteStereotype(element, "SwSystemconst");
    };
    
    mapping.BswModeSenderPolicy=
    function(element){
    	handleDeleteStereotype(element, "BswModeSenderPolicy");
    };
    
    mapping.DefList=
    function(element){
    	handleDeleteStereotype(element, "DefList");
    };
    
    mapping.EcucInstanceReferenceValue=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "value");
    };
    
    mapping.LinCommunication=
    function(element){
    	handleRenameStereotype(element, "AssignFrameId", "AssignFrameIdTiming");
    	handleRenameStereotype(element, "AssignNad", "AssignNadTiming");
    	handleRenameStereotype(element, "UnassignFrameId", "UnassignFrameIdTiming");
    };
    
    mapping.AssignFrameId=
    function(element){
    	handleDeleteStereotype(element, "LinFrameTriggering");
    };
    
    mapping.parameterInstance=
    function(element){
    	handleDeleteStereotype(element, "autosarParameter");
    };
    
    mapping.McDataInstance=
    function(element){
    	handleDeleteTag(element, "arraySize");
    	handleDeleteTag(element, "symbol");
    	handleDeleteStereotypeFromAggregates(element, "l_flatMapEntry");
    	handleDeleteStereotypeFromAggregates(element, "instanceInMemory");
    	handleDeleteStereotypeFromAggregates(element, "resultingProperties");
    	handleDeleteStereotypeFromAggregates(element, "subElement");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    	handleDeleteStereotype(element, "subElement"); handleDeleteStereotype(element, "instanceInMemory"); handleDeleteStereotype(element, "subElement");
    };
    
    mapping.ApplicationValueSpecification=
    function(element){
    	handleDeleteStereotype(element, "ApplicationValueSpecification");
    };
    
    mapping.MsrQueryArg=
    function(element){
    	handleDeleteStereotype(element, "MsrQueryArg");
    };
    
    mapping.AliasNameAssignment=
    function(element){
    	handleDeleteStereotype(element, "AliasNameAssignment");
    };
    
    mapping.DiagnosticRoutineNeeds=
    function(element){
    	handleDeleteStereotype(element, "DiagnosticRoutineNeeds");
    };
    
    mapping.OperationInSystemInstanceRef=
    function(element){
    	handleDeleteStereotype(element, "OperationInSystemInstanceRef");
    };
    
    mapping.EmphasisText=
    function(element){
    	handleDeleteTag(element, "color");
    	handleDeleteTag(element, "font");
    	handleDeleteTag(element, "mixedContentIndex");
    	handleDeleteStereotypeFromAggregates(element, "sub");
    	handleDeleteStereotypeFromAggregates(element, "sup");
    	handleDeleteTag(element, "type");
    	//TODO Check if AtpMixedStringData is Delete in EType
    };
    
    mapping.CanFrame=
    function(element){
    	handleDeleteStereotype(element, "CanFrame");
    };
    
    mapping.CanTpAddress=
    function(element){
    	handleDeleteStereotype(element, "CanTpAddress");
    };
    
    mapping.NonqueuedReceiverComSpec=
    function(element){
    	handleDeleteTag(element, "enableUpdate");
    	handleDeleteTag(element, "handleNeverReceived");
    	handleDeleteTag(element, "handleTimeoutType");
    	//TODO Check if filter is Delete in UnqueuedReceiverComSpec
    	handleDeleteStereotypeFromAggregates(element, "ValueSpecification");
    };
    
    mapping.UdpNmEcu=
    function(element){
    	handleDeleteStereotype(element, "UdpNmEcu");
    };
    
    mapping.CalibrationParameterValue=
    function(element){
    	handleDeleteStereotype(element, "CalibrationParameterValue");
    };
    
    mapping.ApplicationEntry=
    function(element){
    	handleDeleteStereotype(element, "ApplicationEntry");
    };
    
    mapping.BswModuleDependency=
    function(element){
    	handleDeleteStereotype(element, "expectedCallback"); handleDeleteStereotype(element, "requiredEntry");
    };
    
    mapping.RModeInAtomicSwcInstanceRef=
    function(element){
    	//TODO check if the target 'ModeDeclarationGroupPrototype' of 'l_contextModeDeclarationGroupPrototype' can be created in the model
    	handleDeleteStereotypeFromAggregates(element, "l_contextPort");
    	handleDeleteStereotypeFromAggregates(element, "l_targetModeDeclaration");
    };
    
    mapping.DataReceiveErrorEvent=
    function(element){
    	handleRenameStereotypeFromAnnotationChild(element, "RVariableInAtomicSwcInstanceRef", "DataReceiveErrorEvent_data");
    	handleDeleteStereotype(element, "disabledMode"); handleDeleteStereotype(element, "data");
    };
    
    mapping.EthernetCommunicationControllerConditional=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.DltUserNeeds=
    function(element){
    	handleDeleteStereotype(element, "DltUserNeeds");
    };
    
    mapping.EvaluatedVariantSet=
    function(element){
    	handleDeleteStereotype(element, "EvaluatedVariantSet");
    };
    
    mapping.TriggerInterface=
    function(element){
    	handleDeleteStereotype(element, "TriggerInterface");
    };
    
    mapping.BswTimingEvent=
    function(element){
    	handleDeleteStereotype(element, "disabledInMode");
    };
    
    mapping.ObdRatioServiceNeeds=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.FlexrayAbsolutelyScheduledTiming=
    function(element){
    	//TODO Check if communicationCycle is Delete in AbsolutelyScheduledTiming
    };
    
    mapping.SocketConnection=
    function(element){
    	handleDeleteStereotype(element, "SocketConnection");
    };
    
    mapping.RoleBasedPortAssignment=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.SwValues=
    function(element){
    	handleDeleteStereotype(element, "SwValues");
    };
    
    mapping.LatencyTimingConstraint=
    function(element){
    	handleDeleteStereotype(element, "LatencyTimingConstraint");
    };
    
    mapping.RecordValueSpecification=
    function(element){
    	//TODO Check if field is Delete in RecordSpecification
    };
    
    mapping.variableInstance=
    function(element){
    	handleDeleteStereotype(element, "autosarVariableInImplDatatype"); handleDeleteStereotype(element, "autosarVariable");
    };
    
    mapping.NonqueuedSenderComSpec=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "ValueSpecification");
    };
    
    mapping.PortInterfaceBlueprintMapping=
    function(element){
    	handleDeleteStereotype(element, "PortInterfaceBlueprintMapping");
    };
    
    mapping.SocketAddress=
    function(element){
    	handleDeleteStereotype(element, "SocketAddress");
    };
    
    mapping.LinCluster=
    function(element){
    	handleDeleteStereotype(element, "LinClusterVariant");
    };
    
    mapping.SystemTemplate=
    function(element){
    	handleRenameStereotype(element, "RootSwCompositionPrototype", "SoftwareComposition");
    };
    
    mapping.MultiLanguageParagraph=
    function(element){
    	handleDeleteTag(element, "mixedContentIndex");
    	handleDeleteStereotypeFromAggregates(element, "LParagraph");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.EthernetCommunicationConnector=
    function(element){
    	handleDeleteStereotype(element, "EthernetCommunicationConnector");
    };
    
    mapping.ArbitraryEventTriggering=
    function(element){
    	handleDeleteStereotype(element, "ArbitraryEventTriggering");
    };
    
    mapping.ImplementationElementInParameterInstanceRef=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "l_context");
    	//TODO check if the target 'ImplementationDataTypeElement' of 'l_target' can be created in the model
    };
    
    mapping.EcucReferenceDef=
    function(element){
    	handleDeleteStereotype(element, "EcucParamConfContainerDef");
    };
    
    mapping.SwDataDefPropsConditional=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.NumericalValueSpecification=
    function(element){
    	handleDeleteStereotype(element, "NumericalValueSpecification");
    };
    
    mapping.Collection=
    function(element){
    	handleDeleteStereotype(element, "Collection");
    };
    
    mapping.LinCommunicationConnector=
    function(element){
    	handleDeleteStereotype(element, "LinCommunicationConnector");
    };
    
    mapping.Row=
    function(element){
    	handleDeleteStereotype(element, "Row");
    };
    
    mapping.SwcToEcuMapping=
    function(element){
    	handleRenameStereotypeFromAnnotationChild(element, "ComponentInSystemInstanceRef", "SwCompToEcuMapping_component");
    	handleDeleteStereotypeFromAggregates(element, "l_partition");
    	handleDeleteStereotypeFromAggregates(element, "l_processingUnit");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.SwcTiming=
    function(element){
    	handleDeleteStereotype(element, "SwcTiming");
    };
    
    mapping.ServerCallPoint=
    function(element){
    	handleRenameStereotypeFromAnnotationChild(element, "ROperationInAtomicSwcInstanceRef", "ServerCallPoint_operation");
    };
    
    mapping.TopicContent=
    function(element){
    	handleDeleteTag(element, "mixedContentIndex");
    	handleDeleteStereotypeFromAggregates(element, "blockLevelContent");
    	handleDeleteStereotypeFromAggregates(element, "Table");
    };
    
    mapping.requiredArtifact=
    function(element){
    	handleDeleteStereotype(element, "artifactDescriptor");
    };
    
    mapping.MixedContentForOverviewParagraph=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "sub");
    	handleDeleteStereotypeFromAggregates(element, "sup");
    	//TODO Check if AtpMixedStringData is Delete in MixedContent2
    	handleDeleteStereotypeFromAggregates(element, "Br");
    	handleDeleteStereotypeFromAggregates(element, "EmphasisText");
    	handleDeleteStereotypeFromAggregates(element, "FootnoteText");
    	handleDeleteStereotypeFromAggregates(element, "IndexEntry");
    	handleDeleteStereotypeFromAggregates(element, "Tt");
    	handleDeleteStereotypeFromAggregates(element, "Xref");
    	handleDeleteStereotypeFromAggregates(element, "XrefTarget");
    };
    
    mapping.UdpNmNode=
    function(element){
    	handleDeleteStereotype(element, "UdpNmNode");
    };
    
    mapping.AtomicSwComponentType=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "SwcInternalBehavior");
    };
    
    mapping.PhysicalChannel=
    function(element){
    	handleDeleteStereotype(element, "commConnector");
    };
    
    mapping.BswModeSwitchedAckEvent=
    function(element){
    	handleDeleteStereotype(element, "BswModeSwitchedAckEvent");
    	handleDeleteStereotype(element, "disabledInMode");
    };
    
    mapping.CanNmCluster=
    function(element){
    	handleDeleteStereotype(element, "CanNmCluster");
    };
    
    mapping.ECUMapping=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "HwPortMapping");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.HwPin=
    function(element){
    	handleDeleteStereotype(element, "HwPin");
    };
    
    mapping.DiagEventDebounceTimeBased=
    function(element){
    	handleDeleteStereotype(element, "DiagEventDebounceTimeBased");
    };
    
    mapping.BswModuleTiming=
    function(element){
    	handleDeleteStereotype(element, "BswModuleTiming");
    };
    
    mapping.SwcServiceDependency=
    function(element){
    	handleDeleteStereotype(element, "SwcServiceDependency");
    	handleDeleteStereotype(element, "assignedData");
    };
    
    mapping.ArVariableInImplementationDataInstanceRef=
    function(element){
    	//TODO check if the target 'ImplementationDataTypeElement' of 'l_contextDataPrototype' can be created in the model
    	//TODO check if the target 'PortPrototype' of 'l_portPrototype' can be created in the model
    	//TODO check if the target 'VariableDataPrototype' of 'l_rootVariableDataPrototype' can be created in the model
    	//TODO check if the target 'ImplementationDataTypeElement' of 'l_targetDataPrototype' can be created in the model
    };
    
    mapping.ConstantSpecificationMapping=
    function(element){
    	handleDeleteStereotype(element, "ConstantSpecificationMapping");
    };
    
    mapping.PrmCharMinTypMax=
    function(element){
    	handleDeleteStereotype(element, "PrmCharMinTypMax");
    };
    
    mapping.SwcBswRunnableMapping=
    function(element){
    	handleDeleteStereotype(element, "SwcBswRunnableMapping");
    };
    
    mapping.OperationInvokedEvent=
    function(element){
    	handleRenameStereotypeFromAnnotationChild(element, "POperationInAtomicSwcInstanceRef", "OperationInvokedEvent_operation");
    	handleDeleteStereotype(element, "disabledMode");
    };
    
    mapping.IoHwAbstractionServerAnnotation=
    function(element){
    	handleRenameTag(element, "bswResolution", "BswResolution");
    	handleRenameTag(element, "filteringDebouncing", "FilteringDebouncing");
    	handleRenameTag(element, "pulseTest", "PulseTest");
    };
    
    mapping.ModeDeclarationGroup=
    function(element){
    	handleDeleteStereotype(element, "ModeDeclarationGroup");
    };
    
    mapping.EcucParameterValue=
    function(element){
    	handleDeleteTag(element, "isAutoValue");
    	handleDeleteStereotype(element, "EcucParameterDef");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.BswInternalTriggeringPointRefConditional=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "l_bswInternalTriggeringPoint");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.ClientServerToSignalGroupMapping=
    function(element){
    	handleRenameStereotypeFromAnnotationChild(element, "OperationInSystemInstanceRef", "ClientServerToSignalGroupMapping_mappedOperation");
    };
    
    mapping.EcucNumericalParamValue=
    function(element){
    	handleDeleteStereotype(element, "EcucNumericalParamValue");
    };
    
    mapping.Caption=
    function(element){
    	handleDeleteStereotype(element, "Caption");
    };
    
    mapping.SwSystemconstantValueSet=
    function(element){
    	handleDeleteStereotype(element, "SwSystemconstantValueSet");
    	handleDeleteStereotype(element, "swSystemconstantValue");
    };
    
    mapping.FlatInstanceDescriptor=
    function(element){
    	handleDeleteStereotype(element, "FlatInstanceDescriptor");
    };
    
    mapping.TtcanAbsolutelyScheduledTiming=
    function(element){
    	handleDeleteStereotype(element, "TtcanAbsolutelyScheduledTiming");
    };
    
    mapping.SystemSignal=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.MsrQueryResultTopic1=
    function(element){
    	handleDeleteStereotype(element, "MsrQueryResultTopic1");
    };
    
    mapping.ClientServerAnnotation=
    function(element){
    	handleDeleteStereotype(element, "ClientServerAnnotation");
    };
    
    mapping.ChapterOrMsrQuery=
    function(element){
    	handleDeleteStereotype(element, "ChapterOrMsrQuery");
    };
    
    mapping.TDEventFrClusterCycleStart=
    function(element){
    	handleDeleteStereotype(element, "TDEventFrClusterCycleStart");
    };
    
    mapping.ModeRequestTypeMap=
    function(element){
    	handleDeleteStereotype(element, "ModeRequestTypeMap");
    };
    
    mapping.SenderReceiverInterface=
    function(element){
    	handleChangeGeneralizationTarget(element);
    	handleDeleteStereotype(element, "dataElement");
    };
    
    mapping.LinPhysicalChannel=
    function(element){
    	handleDeleteStereotype(element, "LinPhysicalChannel");
    	handleDeleteStereotype(element, "commConnector");
    };
    
    mapping.MsrQueryProps=
    function(element){
    	handleDeleteStereotype(element, "MsrQueryProps");
    };
    
    mapping.HwPinConnector=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "l_hwPin");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.EcucBooleanParamDef=
    function(element){
    	handleDeleteTag(element, "defaultValueShortLabel");
    	handleDeleteTag(element, "defaultValueValue");
    };
    
    mapping.PositiveIntegerValueVariationPoint=
    function(element){
    	handleDeleteStereotype(element, "PositiveIntegerValueVariationPoint");
    };
    
    mapping.IntegerValueVariationPoint=
    function(element){
    	handleDeleteStereotype(element, "IntegerValueVariationPoint");
    };
    
    mapping.EcucParameterDerivationFormula=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "l_ecucQuery");
    };
    
    mapping.CanTpEcu=
    function(element){
    	handleDeleteStereotype(element, "CanTpEcu");
    };
    
    mapping.ModePortAnnotation=
    function(element){
    	handleDeleteStereotype(element, "ModePortAnnotation");
    };
    
    mapping.localDebugData=
    function(element){
    	handleDeleteStereotype(element, "subElement"); handleDeleteStereotype(element, "subElement");
    };
    
    mapping.ISignalIPduRefConditional=
    function(element){
    	handleDeleteStereotype(element, "ISignalIPduRefConditional");
    };
    
    mapping.ModeSwitchedAckEvent=
    function(element){
    	handleDeleteStereotype(element, "disabledMode");
    };
    
    mapping.EcucEnumerationParamDef=
    function(element){
    	handleDeleteTag(element, "defaultValue");
    	handleDeleteStereotypeFromAggregates(element, "EcucEnumerationLiteralDef");
    };
    
    mapping.Code=
    function(element){
    	handleDeleteStereotype(element, "artifactDescriptor");
    };
    
    mapping.VariableAndParameterInterfaceMapping=
    function(element){
    	handleDeleteStereotype(element, "VariableAndParameterInterfaceMapping");
    	handleDeleteStereotype(element, "dataMapping");
    };
    
    mapping.ModeDeclarationGroupPrototypeMapping=
    function(element){
    	//TODO check if the target 'ModeDeclarationGroupPrototype' of 'l_firstModeGroup' can be created in the model
    	//TODO check if the target 'ModeDeclarationGroupPrototype' of 'l_secondModeGroup' can be created in the model
    };
    
    mapping.FlexrayCluster=
    function(element){
    	moveTagToOwner(element, "actionPointOffset");
    	moveTagToOwner(element, "bit");
    	moveTagToOwner(element, "casRxLowMax");
    	moveTagToOwner(element, "coldStartAttempts");
    	moveTagToOwner(element, "cycle");
    	moveTagToOwner(element, "dynamicSlotIdlePhase");
    	moveTagToOwner(element, "listenNoise");
    	moveTagToOwner(element, "macroPerCycle");
    	moveTagToOwner(element, "maxWithoutClockCorrectionFatal");
    	moveTagToOwner(element, "maxWithoutClockCorrectionPassive");
    	moveTagToOwner(element, "minislotActionPointOffset");
    	moveTagToOwner(element, "minislotDuration");
    	moveTagToOwner(element, "networkIdleTime");
    	moveTagToOwner(element, "numberOfMinislots");
    	moveTagToOwner(element, "numberOfStaticSlots");
    	moveTagToOwner(element, "offsetCorrectionStart");
    	moveTagToOwner(element, "payloadLengthStatic");
    	moveTagToOwner(element, "sampleClockPeriod");
    	moveTagToOwner(element, "staticSlotDuration");
    	moveTagToOwner(element, "symbolWindow");
    	moveTagToOwner(element, "syncFrameIDCountMax");
    	moveTagToOwner(element, "transmissionStartSequenceDuration");
    	moveTagToOwner(element, "wakeupRxIdle");
    	moveTagToOwner(element, "wakeupRxLow");
    	moveTagToOwner(element, "wakeupRxWindow");
    	moveTagToOwner(element, "wakeupTxActive");
    	moveTagToOwner(element, "wakeupTxIdle");
    	handleDeleteStereotype(element, "FlexrayClusterVariant");
    };
    
    mapping.hwElementConnection=
    function(element){
    	handleDeleteStereotype(element, "hwPinConnection"); handleDeleteStereotype(element, "hwPinGroupConnection");
    };
    
    mapping.ConstantSpecificationMappingSet=
    function(element){
    	handleDeleteStereotype(element, "ConstantSpecificationMappingSet");
    };
    
    mapping.TextTableValuePair=
    function(element){
    	handleDeleteStereotype(element, "TextTableValuePair");
    };
    
    mapping.VariationPoint=
    function(element){
    	handleDeleteStereotype(element, "VariationPoint");
    	handleDeleteStereotype(element, "swSyscond");
    };
    
    mapping.SenderReceiverToSignalGroupMapping=
    function(element){
    	handleRenameStereotypeFromAnnotationChild(element, "VariableDataPrototypeInSystemInstanceRef", "SenderReceiverToSignalGroupMapping_dataElement");
    };
    
    mapping.LGraphic=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "Graphic");
    	handleDeleteStereotypeFromAggregates(element, "Map");
    };
    
    mapping.AnalyzedExecutionTime=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "bestCaseExecutionTime");
    	handleDeleteStereotypeFromAggregates(element, "worstCaseExecutionTime");
    };
    
    mapping.EcucCommonAttributes=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "EcucConfigurationClassAffection");
    	handleDeleteStereotypeFromAggregates(element, "implementationConfigClass");
    };
    
    mapping.EcucFunctionNameDefConditional=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.BooleanValueVariationPoint=
    function(element){
    	handleDeleteStereotype(element, "BooleanValueVariationPoint");
    };
    
    mapping.MultiLanguageOverviewParagraph=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "LOverviewParagraph");
    };
    
    mapping.EthernetClusterConditional=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.RTriggerInAtomicSwcInstanceRef=
    function(element){
    	handleDeleteStereotype(element, "RTriggerInAtomicSwcInstanceRef");
    };
    
    mapping.MultilanguageLongName=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "LLongName");
    };
    
    mapping.BswDebugInfo=
    function(element){
    	handleDeleteStereotype(element, "BswDebugInfo");
    	handleDeleteStereotype(element, "localDebugData");
    };
    
    mapping.FlexrayFrame=
    function(element){
    	handleDeleteStereotype(element, "FlexrayFrame");
    };
    
    mapping.RVariableInAtomicSwcInstanceRef=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "l_contextRPort");
    	//TODO check if the target 'VariableDataPrototype' of 'l_targetDataElement' can be created in the model
    };
    
    mapping.VfbTiming=
    function(element){
    	handleDeleteStereotype(element, "VfbTiming");
    };
    
    mapping.TopicContentOrMsrQuery=
    function(element){
    	handleDeleteStereotype(element, "TopicContentOrMsrQuery");
    };
    
    mapping.EcucTextualParamValue=
    function(element){
    	handleDeleteStereotype(element, "EcucTextualParamValue");
    };
    
    mapping.NmCoordinator=
    function(element){
    	handleDeleteStereotype(element, "NmCoordinator");
    };
    
    mapping.VariableDataPrototype=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "ValueSpecification");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.Communication=
    function(element){
    	handleRenameStereotype(element, "ModeSwitchSenderComSpec", "ModeSwitchComSpec");
    	handleRenameStereotype(element, "NonqueuedReceiverComSpec", "UnqueuedReceiverComSpec");
    	handleRenameStereotype(element, "NonqueuedSenderComSpec", "UnqueuedSenderComSpec");
    };
    
    mapping.PostBuildVariantCriterionValue=
    function(element){
    	handleDeleteStereotype(element, "PostBuildVariantCriterionValue");
    };
    
    mapping.ComponentInCompositionInstanceRef=
    function(element){
    	handleDeleteStereotype(element, "ComponentInCompositionInstanceRef");
    };
    
    mapping.SwcInternalBehavior=
    function(element){
    	handleDeleteTag(element, "handleTerminationAndRestart");
    	handleRenameStereotype(element, "SwcInternalBehavior", "InternalBehavior");
    	handleDeleteStereotypeFromAggregates(element, "arTypedPerInstanceMemory");
    	//TODO Check if event is Delete in InternalBehavior
    	handleDeleteStereotypeFromAggregates(element, "explicitInterRunnableVariable");
    	handleDeleteStereotypeFromAggregates(element, "implicitInterRunnableVariable");
    	handleDeleteStereotypeFromAggregates(element, "IncludedDataTypeSet");
    	handleDeleteStereotypeFromAggregates(element, "InstantiationDataDefProps");
    	//TODO Check if perInstanceMemory is Delete in InternalBehavior
    	handleDeleteStereotypeFromAggregates(element, "perInstanceParameter");
    	//TODO Check if portAPIOption is Delete in InternalBehavior
    	//TODO Check if runnable is Delete in InternalBehavior
    	handleDeleteStereotypeFromAggregates(element, "SwcServiceDependency");
    	handleDeleteStereotypeFromAggregates(element, "sharedParameter");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    	handleDeleteStereotypeFromAggregates(element, "VariationPointProxy");
    };
    
    mapping.EcucModuleConfigurationValuesRefConditional=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "l_ecucModuleConfigurationValues");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.TDEventSwcInternalBehavior=
    function(element){
    	handleDeleteStereotype(element, "TDEventSwcInternalBehavior");
    };
    
    mapping.ComponentInSystemInstanceRef=
    function(element){
    	handleDeleteStereotype(element, "ComponentInSystemInstanceRef");
    };
    
    mapping.ScheduleTableEntry=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "introduction");
    };
    
    mapping.InterpolationRoutineMappingSet=
    function(element){
    	handleDeleteStereotype(element, "InterpolationRoutineMappingSet");
    };
    
    mapping.ImplementationDataTypeElement=
    function(element){
    	handleDeleteTag(element, "arraySizeSemantics");
    	handleDeleteTag(element, "arraySizeShortLabel");
    	handleDeleteTag(element, "arraySizeValue");
    	handleDeleteStereotypeFromAggregates(element, "arraySize");
    	handleDeleteStereotypeFromAggregates(element, "subElement");
    	handleDeleteStereotypeFromAggregates(element, "SwDataDefProps");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    	handleDeleteStereotype(element, "subElement"); handleDeleteStereotype(element, "subElement");
    };
    
    mapping.ParameterInAtomicSWCTypeInstanceRef=
    function(element){
    	//TODO check if the target 'ApplicationCompositeElementDataPrototype' of 'l_contextDataPrototype' can be created in the model
    	//TODO check if the target 'PortPrototype' of 'l_portPrototype' can be created in the model
    	handleDeleteStereotypeFromAggregates(element, "l_rootParameterDataPrototype");
    	//TODO check if the target 'DataPrototype' of 'l_targetDataPrototype' can be created in the model
    };
    
    mapping.EthernetFrame=
    function(element){
    	handleDeleteStereotype(element, "EthernetFrame");
    };
    
    mapping.FlexrayCommunicationControllerConditional=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.AssignNad=
    function(element){
    	handleDeleteTag(element, "newNad");
    };
    
    mapping.EthernetFrameTriggering=
    function(element){
    	handleDeleteStereotype(element, "EthernetFrameTriggering");
    };
    
    mapping.RModeGroupInAtomicSWCInstanceRef=
    function(element){
    	handleDeleteStereotype(element, "RModeGroupInAtomicSWCInstanceRef");
    };
    
    mapping.RoleBasedDataAssignment=
    function(element){
    	handleDeleteTag(element, "role");
    	handleDeleteStereotypeFromAggregates(element, "usedDataElement");
    	handleDeleteStereotypeFromAggregates(element, "usedParameterElement");
    	handleDeleteStereotypeFromAggregates(element, "l_usedPim");
    };
    
    mapping.CoreCommunication=
    function(element){
    	handleRenameStereotype(element, "ISignalIPduGroup", "IPduGroup");
    	handleRenameStereotype(element, "PduTriggering", "IPduTriggering");
    	handleRenameStereotype(element, "ISignalIPdu", "SignalIPdu");
    	handleRenameStereotype(element, "ISignalPort", "SignalPort");
    };
    
    mapping.ExternalTriggerOccurredEvent=
    function(element){
    	handleDeleteStereotype(element, "ExternalTriggerOccurredEvent");
    	handleDeleteStereotype(element, "disabledMode");
    };
    
    mapping.ISignalTriggeringRefConditional=
    function(element){
    	handleDeleteStereotype(element, "ISignalTriggeringRefConditional");
    };
    
    mapping.TDEventISignal=
    function(element){
    	handleDeleteStereotype(element, "TDEventISignal");
    };
    
    mapping.EthernetCluster=
    function(element){
    	handleDeleteStereotype(element, "EthernetCluster");
    	handleDeleteStereotype(element, "EthernetClusterVariant");
    };
    
    mapping.PduTriggeringRefConditional=
    function(element){
    	handleDeleteStereotype(element, "PduTriggeringRefConditional");
    };
    
    mapping.SystemTiming=
    function(element){
    	handleDeleteStereotype(element, "SystemTiming");
    };
    
    mapping.AutosarDataPrototype=
    function(element){
    	handleDeleteStereotype(element, "AutosarDataType");
    };
    
    mapping.FlexrayPhysicalChannel=
    function(element){
    	handleDeleteStereotype(element, "commConnector");
    };
    
    mapping.CommunicationControllerMapping=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "l_hwCommunicationController");
    };
    
    mapping.FlexrayClusterConditional=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.mcParameterInstance=
    function(element){
    	handleDeleteStereotype(element, "subElement"); handleDeleteStereotype(element, "instanceInMemory"); handleDeleteStereotype(element, "subElement");
    };
    
    mapping.TDEventBswInternalBehavior=
    function(element){
    	handleDeleteStereotype(element, "TDEventBswInternalBehavior");
    };
    
    mapping.AtpMixedStringDataType=
    function(element){
    	handleDeleteStereotype(element, "AtpMixedStringDataType");
    };
    
    mapping.InternalTriggerOccurredEvent=
    function(element){
    	handleDeleteStereotype(element, "InternalTriggerOccurredEvent");
    	handleDeleteStereotype(element, "disabledMode");
    };
    
    mapping.CanClusterConditional=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.TextTableMapping=
    function(element){
    	handleDeleteStereotype(element, "TextTableMapping");
    };
    
    mapping.TransmissionModeTiming=
    function(element){
    	//TODO Check if cyclicTiming is Delete in TransmissionModeFalseTiming
    	//TODO Check if eventControlledTiming is Delete in TransmissionModeFalseTiming
    };
    
    mapping.TDEventFrame=
    function(element){
    	handleDeleteStereotype(element, "TDEventFrame");
    };
    
    mapping.MixedContentForVerbatim=
    function(element){
    	//TODO Check if AtpMixedStringData is Delete in MixedContent5
    	handleDeleteStereotypeFromAggregates(element, "Br");
    	handleDeleteStereotypeFromAggregates(element, "EmphasisText");
    	handleDeleteStereotypeFromAggregates(element, "Tt");
    	handleDeleteStereotypeFromAggregates(element, "Xref");
    };
    
    mapping.FlexrayTopology=
    function(element){
    	handleRenameStereotype(element, "FlexrayCommunicationConnector", "FlexRayCommunicationConnector");
    };
    
    mapping.ModeDeclarationGroupPrototype=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "l_type");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.ReferenceValueSpecification=
    function(element){
    	handleDeleteStereotype(element, "ReferenceValueSpecification");
    };
    
    mapping.PrmCharAbsTol=
    function(element){
    	handleDeleteStereotype(element, "PrmCharAbsTol");
    };
    
    mapping.PostBuildVariantCondition=
    function(element){
    	handleDeleteStereotype(element, "PostBuildVariantCondition");
    };
    
    mapping.ComponentSeparation=
    function(element){
    	handleRenameStereotypeFromAnnotationChild(element, "ComponentInSystemInstanceRef", "ComponentSeparation_separatedComponent");
    };
    
    mapping.SporadicEventTriggering=
    function(element){
    	handleDeleteStereotype(element, "SporadicEventTriggering");
    };
    
    mapping.EcucConditionSpecification=
    function(element){
    	handleDeleteStereotype(element, "EcucConditionSpecification");
    };
    
    mapping.LogicAddress=
    function(element){
    	handleDeleteStereotype(element, "LogicAddress");
    };
    
    mapping.MsrQueryP1=
    function(element){
    	handleDeleteStereotype(element, "MsrQueryP1");
    };
    
    mapping.PortGroup=
    function(element){
    	handleDeleteStereotype(element, "PortGroup");
    	handleRenameStereotypeFromAnnotationChild(element, "InnerPortGroupInCompositionInstanceRef", "PortGroup_innerGroup");
    	handleDeleteStereotype(element, "innerGroup"); handleDeleteStereotype(element, "outerPort");
    };
    
    mapping.ServiceProxySwComponentType=
    function(element){
    	handleDeleteStereotype(element, "ServiceProxySwComponentType");
    };
    
    mapping.PortPrototypeRefConditional=
    function(element){
    	//TODO check if the target 'PortPrototype' of 'l_portPrototype' can be created in the model
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.Colspec=
    function(element){
    	handleDeleteStereotype(element, "Colspec");
    };
    
    mapping.EcucMultilineStringParamDef=
    function(element){
    	handleDeleteStereotype(element, "EcucMultilineStringParamDef");
    	handleDeleteStereotype(element, "EcucMultilineStringParamDefVariant");
    };
    
    mapping.generatedArtifact=
    function(element){
    	handleDeleteStereotype(element, "artifactDescriptor");
    };
    
    mapping.ModeDeclarationGroupPrototypeRefConditional=
    function(element){
    	//TODO check if the target 'ModeDeclarationGroupPrototype' of 'l_modeDeclarationGroupPrototype' can be created in the model
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.System=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.ISignalIPduGroup=
    function(element){
    	handleDeleteTag(element, "communicationDirection");
    	handleDeleteStereotype(element, "ISignalIPduGroup");
    	handleDeleteStereotypeFromAggregates(element, "ISignalIPduRefConditional");
    };
    
    mapping.Vf=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.TDEventIPdu=
    function(element){
    	handleDeleteStereotype(element, "TDEventIPdu");
    };
    
    mapping.NvBlockSwComponentType=
    function(element){
    	handleDeleteStereotype(element, "NvBlockSwComponentType");
    };
    
    mapping.ExternalTriggeringPoint=
    function(element){
    	handleDeleteStereotype(element, "ExternalTriggeringPoint");
    };
    
    mapping.TriggerMapping=
    function(element){
    	handleDeleteStereotype(element, "TriggerMapping");
    };
    
    mapping.EcucSymbolicNameReferenceDef=
    function(element){
    	handleDeleteStereotype(element, "EcucParamConfContainerDef");
    };
    
    mapping.usedParameterElement=
    function(element){
    	handleDeleteStereotype(element, "autosarParameter");
    };
    
    mapping.ParamConfMultiplicity=
    function(element){
    	//TODO try to use handleStereotypeElementTagToInNewTag()
    	//TODO try to use handleStereotypeElementTagToInNewTag()
    };
    
    mapping.PostBuildVariantCriterion=
    function(element){
    	handleDeleteStereotype(element, "PostBuildVariantCriterion");
    };
    
    mapping.RunnableEntity=
    function(element){
    	handleRenameStereotypeFromAnnotationChild(element, "VariableAccess", "DataReadAccess");
    	handleRenameStereotypeFromAnnotationChild(element, "VariableAccess", "DataSendPoint");
    	handleRenameStereotypeFromAnnotationChild(element, "VariableAccess", "DataWriteAccess");
    	handleDeleteStereotype(element, "dataReadAccess"); handleDeleteStereotype(element, "dataReceivePointByArgument"); handleDeleteStereotype(element, "dataReceivePointByValue"); handleDeleteStereotype(element, "dataSendPoint"); handleDeleteStereotype(element, "dataWriteAccess"); handleDeleteStereotype(element, "readLocalVariable"); handleDeleteStereotype(element, "writtenLocalVariable");
    };
    
    mapping.AsynchronousServerCallReturnsEvent=
    function(element){
    	handleDeleteStereotype(element, "disabledMode");
    };
    
    mapping.PortInterface=
    function(element){
    	handleRenameStereotype(element, "ArgumentDataPrototype", "ArgumentPrototype");
    	handleRenameStereotype(element, "VariableDataPrototype", "DataElementPrototype");
    	handleRenameStereotype(element, "ClientServerOperation", "OperationPrototype");
    };
    
    mapping.SingleLanguageData=
    function(element){
    	handleRenameStereotype(element, "SingleLanguageParagraph", "SlData1");
    	handleRenameStereotype(element, "SingleLanguageOverviewParagraph", "SlData2");
    	handleRenameStereotype(element, "SingleLanguageUnitNames", "SlData3");
    	handleRenameStereotype(element, "SingleLanguageLongName", "SlData4");
    	handleRenameStereotype(element, "SingleLanguageVerbatim", "SlData5");
    };
    
    mapping.FlexrayNmEcu=
    function(element){
    	handleDeleteStereotype(element, "FlexrayNmEcu");
    };
    
    mapping.TriggerInterfaceMapping=
    function(element){
    	handleDeleteStereotype(element, "TriggerInterfaceMapping");
    };
    
    mapping.SwDataDefProps=
    function(element){
    	moveTagToOwner(element, "displayFormat");
    	moveTagToOwner(element, "swCalibrationAccess");
    	moveTagToOwner(element, "swImplPolicy");
    	handleDeleteStereotype(element, "SwDataDefPropsVariant");
    };
    
    mapping.MultiLanguageVerbatim=
    function(element){
    	handleDeleteTag(element, "mixedContentIndex");
    	handleDeleteStereotypeFromAggregates(element, "LVerbatim");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.TDEventTTCanCycleStart=
    function(element){
    	handleDeleteStereotype(element, "TDEventTTCanCycleStart");
    };
    
    mapping.AssignFrameIdRange=
    function(element){
    	handleDeleteStereotype(element, "AssignFrameIdRange");
    };
    
    mapping.UdpNmCluster=
    function(element){
    	handleDeleteStereotype(element, "UdpNmCluster");
    };
    
    mapping.CanTpConnection=
    function(element){
    	handleDeleteStereotype(element, "CanTpConnection");
    };
    
    mapping.DataSendCompletedEvent=
    function(element){
    	handleDeleteStereotype(element, "disabledMode");
    };
    
    mapping.SwcToSwcSignal=
    function(element){
    	handleRenameStereotypeFromAnnotationChild(element, "VariableDataPrototypeInSystemInstanceRef", "SwcToSwcSignal_dataElement");
    };
    
    mapping.IndexEntry=
    function(element){
    	handleDeleteTag(element, "mixedContentIndex");
    	handleDeleteStereotypeFromAggregates(element, "sub");
    	handleDeleteStereotypeFromAggregates(element, "sup");
    	//TODO Check if AtpMixedStringData is Delete in Ie
    };
    
    mapping.PredefinedChapter=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "ChapterModel");
    };
    
    mapping.StructuredReq=
    function(element){
    	handleDeleteStereotype(element, "StructuredReq");
    };
    
    mapping.BswInternalBehavior=
    function(element){
    	//TODO Check if entity is Delete in BswBehavior
    	//TODO Check if event is Delete in BswBehavior
    	handleDeleteStereotypeFromAggregates(element, "BswInternalTriggeringPoint");
    	handleDeleteStereotypeFromAggregates(element, "BswModeReceiverPolicy");
    	handleDeleteStereotypeFromAggregates(element, "BswModeSenderPolicy");
    	handleDeleteStereotypeFromAggregates(element, "BswTriggerDirectImplementation");
    };
    
    mapping.LinConfigurationEntry=
    function(element){
    	handleDeleteStereotype(element, "LinSlave");
    };
    
    mapping.Components=
    function(element){
    	handleRenameStereotype(element, "ApplicationSwComponentType", "ApplicationSoftwareComponentType");
    	handleRenameStereotype(element, "ParameterSwComponentType", "CalprmComponentType");
    	handleRenameStereotype(element, "ComplexDeviceDriverSwComponentType", "ComplexDeviceDriverComponentType");
    	handleRenameStereotype(element, "EcuAbstractionSwComponentType", "EcuAbstractionComponentType");
    	handleRenameStereotype(element, "SensorActuatorSwComponentType", "SensorActuatorSoftwareComponentType");
    	handleRenameStereotype(element, "ServiceSwComponentType", "ServiceComponentType");
    };
    
    mapping.Item=
    function(element){
    	handleDeleteStereotype(element, "Item");
    };
    
    mapping.BswModeSwitchEvent=
    function(element){
    	handleDeleteStereotype(element, "BswModeSwitchEvent");
    	handleDeleteStereotype(element, "disabledInMode"); handleDeleteStereotype(element, "mode"); handleDeleteStereotype(element, "mode");
    };
    
    mapping.DataDefProperties=
    function(element){
    	handleRenameStereotype(element, "ValueList", "SwArraysize");
    	handleRenameStereotype(element, "SwPointerTargetProps", "SwPointer");
    };
    
    mapping.ModeSwitchPoint=
    function(element){
    	handleRenameStereotypeFromAnnotationChild(element, "PModeGroupInAtomicSwcInstanceRef", "ModeSwitchPoint_modeGroup");
    };
    
    mapping.DataPrototypeMapping=
    function(element){
    	//TODO check if the target 'AutosarDataPrototype' of 'l_firstDataPrototype' can be created in the model
    	//TODO check if the target 'AutosarDataPrototype' of 'l_secondDataPrototype' can be created in the model
    	handleDeleteStereotypeFromAggregates(element, "TextTableMapping");
    };
    
    mapping.HwPinGroupContent=
    function(element){
    	handleDeleteStereotype(element, "HwPinGroupContent");
    };
    
    mapping.EcucContainerValue=
    function(element){
    	handleDeleteStereotype(element, "EcucContainerDef");
    	handleDeleteStereotypeFromAggregates(element, "EcucParameterValue");
    	handleDeleteStereotypeFromAggregates(element, "EcucAbstractReferenceValue");
    	handleDeleteStereotypeFromAggregates(element, "subContainer");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.SwConnector=
    function(element){
    	handleDeleteStereotype(element, "PortInterfaceMapping");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.networkRepresentationProps=
    function(element){
    	handleDeleteStereotype(element, "SwDataDefPropsVariant");
    };
    
    mapping.DiagnosticEventManagerNeeds=
    function(element){
    	handleDeleteStereotype(element, "DiagnosticEventManagerNeeds");
    };
    
    mapping.PortAPIOption=
    function(element){
    	handleRenameStereotypeFromAnnotationChild(element, "PortDefinedArgumentValue", "PrimitiveSpecification");
    	handleDeleteStereotype(element, "portArgValue");
    };
    
    mapping.DependencyOnArtifact=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "artifactDescriptor");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    	handleDeleteStereotype(element, "artifactDescriptor");
    };
    
    mapping.SignalIPduCounter=
    function(element){
    	handleDeleteStereotype(element, "SignalIPduCounter");
    };
    
    mapping.CanCluster=
    function(element){
    	handleDeleteStereotype(element, "CanCluster");
    	handleDeleteStereotype(element, "CanClusterVariant");
    };
    
    mapping.TransportProtocols=
    function(element){
    	handleRenameStereotype(element, "CanTpChannel", "CanTpConnectionChannel");
    	handleRenameStereotype(element, "FlexrayTpConnection", "FlexRayTpConnection");
    	handleRenameStereotype(element, "FlexrayTpConnectionControl", "FlexrayTpChannel");
    	handleRenameStereotype(element, "LinTpConnection", "LinTpChannel");
    };
    
    mapping.BswBehavior=
    function(element){
    	handleRenameStereotype(element, "BswInternalBehavior", "BswBehavior");
    	handleRenameStereotype(element, "BswTimingEvent", "BswCyclicEvent");
    	handleRenameStereotype(element, "BswInternalTriggerOccurredEvent", "BswSporadicEvent");
    };
    
    mapping.InterpolationRoutineMapping=
    function(element){
    	handleDeleteStereotype(element, "InterpolationRoutineMapping");
    };
    
    mapping.AbstractCanPhysicalChannel=
    function(element){
    	handleDeleteStereotype(element, "commConnector");
    };
    
    mapping.EcucConditionFormula=
    function(element){
    	handleDeleteStereotype(element, "EcucConditionFormula");
    };
    
    mapping.Tbody=
    function(element){
    	handleDeleteTag(element, "valign");
    	handleDeleteStereotypeFromAggregates(element, "Row");
    };
    
    mapping.ServiceNeeds=
    function(element){
    	handleRenameStereotype(element, "DiagnosticCommunicationManagerNeeds", "DiagnosticCommunicationNeeds");
    };
    
    mapping.NmConfig=
    function(element){
    	handleDeleteStereotype(element, "NmConfig");
    	handleDeleteStereotype(element, "nmIfEcu");
    };
    
    mapping.ObdMonitorServiceNeeds=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.ExecutionOrderConstraint=
    function(element){
    	handleDeleteStereotype(element, "ExecutionOrderConstraint");
    	handleDeleteStereotype(element, "orderedElement");
    };
    
    mapping.DiagEventDebounceCounterBased=
    function(element){
    	handleDeleteStereotype(element, "DiagEventDebounceCounterBased");
    };
    
    mapping.CompuGenericMath=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.Implementation=
    function(element){
    	handleRenameTag(element, "usedCodeGenerator", "codeGenerator");
    	//TODO add case in *.properties file
    };
    
    mapping.BswTriggerDirectImplementation=
    function(element){
    	handleDeleteStereotype(element, "BswTriggerDirectImplementation");
    };
    
    mapping.LinConfigurableFrame=
    function(element){
    	handleDeleteStereotype(element, "LinConfigurableFrame");
    };
    
    mapping.DataTypeMappingSet=
    function(element){
    	handleDeleteStereotype(element, "DataTypeMappingSet");
    };
    
    mapping.SwcToImplMapping=
    function(element){
    	handleRenameStereotypeFromAnnotationChild(element, "ComponentInSystemInstanceRef", "SwCompToImplMapping_component");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.CanPhysicalChannel=
    function(element){
    	handleDeleteStereotype(element, "CanPhysicalChannel");
    	handleDeleteStereotype(element, "commConnector");
    };
    
    mapping.EndToEndDescription=
    function(element){
    	handleDeleteTag(element, "counterOffset");
    	handleDeleteTag(element, "crcOffset");
    	handleDeleteTag(element, "dataId");
    	handleDeleteTag(element, "dataIdMode");
    	handleDeleteTag(element, "dataLength");
    	handleDeleteTag(element, "maxDeltaCounterInit");
    };
    
    mapping.FreeFormat=
    function(element){
    	handleRenameTag(element, "byteValue", "ByteValue");
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.ComponentClustering=
    function(element){
    	handleRenameStereotypeFromAnnotationChild(element, "ComponentInSystemInstanceRef", "ComponentClustering_clusteredComponent");
    };
    
    mapping.EthernetCommunicationController=
    function(element){
    	handleDeleteStereotype(element, "EthernetCommunicationController");
    	handleDeleteStereotype(element, "EthernetCommunicationControllerVariant");
    };
    
    mapping.EthernetPhysicalChannel=
    function(element){
    	handleDeleteStereotype(element, "EthernetPhysicalChannel");
    	handleDeleteStereotype(element, "commConnector");
    };
    
    mapping.MultiLanguagePlainText=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "LPlainText");
    };
    
    mapping.PortInterfaceMappingSet=
    function(element){
    	handleDeleteStereotype(element, "PortInterfaceMappingSet");
    };
    
    mapping.Table=
    function(element){
    	handleDeleteStereotype(element, "Table");
    };
    
    mapping.Keyword=
    function(element){
    	handleDeleteStereotype(element, "Keyword");
    };
    
    mapping.MixedContentForUnitNames=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "sub");
    	handleDeleteStereotypeFromAggregates(element, "sup");
    	//TODO Check if AtpMixedStringData is Delete in MixedContent3
    };
    
    mapping.readNvData=
    function(element){
    	handleDeleteStereotype(element, "autosarVariableInImplDatatype"); handleDeleteStereotype(element, "autosarVariable");
    };
    
    mapping.Chapter=
    function(element){
    	handleDeleteStereotype(element, "Chapter");
    };
    
    mapping.Constants=
    function(element){
    	handleRenameStereotype(element, "ArrayValueSpecification", "ArraySpecification");
    	//TODO add case in *.properties file
    	handleRenameStereotype(element, "RecordValueSpecification", "RecordSpecification");
    };
    
    mapping.CanNmRangeConfig=
    function(element){
    	handleDeleteStereotype(element, "CanNmRangeConfig");
    };
    
    mapping.Prms=
    function(element){
    	handleDeleteStereotype(element, "Prms");
    };
    
    mapping.ExecutionTime=
    function(element){
    	handleRenameStereotype(element, "AnalyzedExecutionTime", "WorstCaseExecutionTime");
    };
    
    mapping.EcucAddInfoParamValue=
    function(element){
    	handleDeleteStereotype(element, "EcucAddInfoParamValue");
    };
    
    mapping.GeneralParameter=
    function(element){
    	handleDeleteStereotype(element, "GeneralParameter");
    };
    
    mapping.ISignalGroup=
    function(element){
    	handleDeleteStereotype(element, "ISignalGroup");
    };
    
    mapping.RTEEvents=
    function(element){
    	handleRenameStereotype(element, "SwcModeSwitchEvent", "ModeSwitchEvent");
    };
    
    mapping.PortPrototypeBlueprint=
    function(element){
    	handleDeleteStereotype(element, "PortPrototypeBlueprint");
    };
    
    mapping.CanCommunicationConnector=
    function(element){
    	handleDeleteStereotype(element, "CanCommunicationConnector");
    };
    
    mapping.SystemSignalGroup=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.PostBuildVariantCriterionValueSet=
    function(element){
    	handleDeleteStereotype(element, "PostBuildVariantCriterionValueSet");
    };
    
    mapping.FlexrayNmNode=
    function(element){
    	handleDeleteStereotype(element, "FlexrayNmNode");
    };
    
    mapping.ArrayValueSpecification=
    function(element){
    	//TODO Check if element is Delete in ArraySpecification
    };
    
    mapping.LinOrderedConfigurableFrame=
    function(element){
    	handleDeleteStereotype(element, "LinOrderedConfigurableFrame");
    };
    
    mapping.PerInstanceMemorySize=
    function(element){
    	//TODO try to use handleStereotypeElementTagToInNewTag()
    };
    
    mapping.IncludedDataTypeSet=
    function(element){
    	handleDeleteStereotype(element, "IncludedDataTypeSet");
    };
    
    mapping.SensorActuatorSwComponentType=
    function(element){
    	handleDeleteStereotype(element, "HwElement");
    };
    
    mapping.DiagEventDebounceMonitorInternal=
    function(element){
    	handleDeleteStereotype(element, "DiagEventDebounceMonitorInternal");
    };
    
    mapping.ObdInfoServiceNeeds=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.SyncTimeBaseMgrUserNeeds=
    function(element){
    	handleDeleteStereotype(element, "SyncTimeBaseMgrUserNeeds");
    };
    
    mapping.InterpolationRoutine=
    function(element){
    	handleDeleteStereotype(element, "InterpolationRoutine");
    };
    
    mapping.EcucChoiceContainerDef=
    function(element){
    	//TODO Check if choice is Delete in ChoiceContainerDef
    };
    
    mapping.Tgroup=
    function(element){
    	handleDeleteStereotype(element, "Tgroup");
    	handleDeleteStereotype(element, "tbody"); handleDeleteStereotype(element, "tfoot"); handleDeleteStereotype(element, "thead");
    };
    
    mapping.ParameterPortAnnotation=
    function(element){
    	handleDeleteStereotype(element, "ParameterDataPrototype");
    };
    
    mapping.resultingProperties=
    function(element){
    	handleDeleteStereotype(element, "SwDataDefPropsVariant");
    };
    
    mapping.BswInterruptEntity=
    function(element){
    	handleDeleteStereotype(element, "activationPoint"); handleDeleteStereotype(element, "calledEntry"); handleDeleteStereotype(element, "accessedModeGroup"); handleDeleteStereotype(element, "managedModeGroup"); handleDeleteStereotype(element, "issuedTrigger");
    };
    
    mapping.SwcBswMapping=
    function(element){
    	handleDeleteStereotype(element, "SwcBswMapping");
    };
    
    mapping.ParameterSwComponentType=
    function(element){
    	handleDeleteStereotype(element, "ConstantSpecificationMappingSet");
    	handleDeleteStereotype(element, "DataTypeMappingSet");
    	handleDeleteStereotypeFromAggregates(element, "InstantiationDataDefProps");
    };
    
    mapping.SignalIPduReplication=
    function(element){
    	handleDeleteStereotype(element, "SignalIPduReplication");
    };
    
    mapping.TimeValue=
    function(element){
    	handleDeleteStereotype(element, "TimeValue");
    };
    
    mapping.HwAttributeValue=
    function(element){
    	handleDeleteStereotype(element, "HwAttributeValue");
    };
    
    mapping.ReferenceBase=
    function(element){
    	handleDeleteStereotype(element, "ReferenceBase");
    };
    
    mapping.BswModeSwitchAckRequest=
    function(element){
    	handleDeleteStereotype(element, "BswModeSwitchAckRequest");
    };
    
    mapping.NvBlockDescriptor=
    function(element){
    	handleRenameStereotypeFromAnnotationChild(element, "VariableDataPrototype", "NvBlockDataPrototype");
    };
    
    mapping.Inlines=
    function(element){
    	handleRenameStereotype(element, "EmphasisText", "EType");
    	handleRenameStereotype(element, "FootnoteText", "Ft");
    	handleRenameStereotype(element, "IndexEntry", "Ie");
    };
    
    mapping.ArgumentDataPrototype=
    function(element){
    	handleDeleteTag(element, "serverArgumentImplPolicy");
    };
    
    mapping.BswModeReceiverPolicy=
    function(element){
    	handleDeleteStereotype(element, "BswModeReceiverPolicy");
    };
    
    mapping.Characteristic=
    function(element){
    	handleRenameStereotype(element, "AutosarParameterRef", "ArCalprmRef");
    	handleRenameStereotype(element, "ParameterAccess", "CalprmAccess");
    	handleRenameStereotype(element, "ParameterDataPrototype", "CalprmElementPrototype");
    	handleRenameStereotype(element, "ParameterInterface", "CalprmInterface");
    };
    
    mapping.FibexElementRefConditional=
    function(element){
    	handleDeleteStereotype(element, "FibexElementRefConditional");
    };
    
    mapping.ClientServerOperationMapping=
    function(element){
    	handleDeleteStereotype(element, "ClientServerOperationMapping");
    	handleDeleteStereotype(element, "argumentMapping");
    };
    
    mapping.FlexrayTpConnection=
    function(element){
    	handleDeleteTag(element, "bandwidthLimitation");
    	handleDeleteStereotype(element, "IPdu");
    	handleDeleteStereotype(element, "TpAddress");
    	handleDeleteStereotype(element, "receiver");
    	handleDeleteStereotype(element, "IPdu");
    	handleDeleteStereotype(element, "FlexrayTpPduPool");
    	handleDeleteStereotype(element, "FlexrayTpConnectionControl");
    	handleDeleteStereotype(element, "FlexrayTpNode");
    	handleDeleteStereotype(element, "FlexrayTpPduPool");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.EcucAddInfoParamDef=
    function(element){
    	handleDeleteStereotype(element, "EcucAddInfoParamDef");
    };
    
    mapping.networkRepresentation=
    function(element){
    	handleDeleteStereotype(element, "SwDataDefPropsVariant");
    };
    
    mapping.accessedVariable=
    function(element){
    	handleDeleteStereotype(element, "autosarVariableInImplDatatype"); handleDeleteStereotype(element, "autosarVariable");
    };
    
    mapping.DocumentationBlock=
    function(element){
    	handleRenameStereotype(element, "TopicContent", "DocumentationBlock");
    	handleDeleteStereotype(element, "DocumentationBlock");
    };
    
    mapping.FlexrayNmClusterCoupling=
    function(element){
    	handleDeleteStereotype(element, "FlexrayNmClusterCoupling");
    };
    
    mapping.EcuTiming=
    function(element){
    	handleDeleteStereotype(element, "EcuTiming");
    };
    
    mapping.ModeAccessPoint=
    function(element){
    	handleDeleteStereotype(element, "ModeAccessPoint");
    };
    
    mapping.EcucStringParamDefConditional=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.ModeSwitchSenderComSpec=
    function(element){
    	handleDeleteStereotype(element, "modeGroup");
    	//TODO Check if modeSwitchedAck is Delete in ModeSwitchComSpec
    };
    
    mapping.TtcanCommunicationController=
    function(element){
    	handleDeleteStereotype(element, "TtcanCommunicationController");
    	handleDeleteStereotype(element, "TtcanCommunicationControllerVariant");
    };
    
    mapping.LinClusterConditional=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.LinMaster=
    function(element){
    	moveTagToOwner(element, "timeBase");
    	moveTagToOwner(element, "timeBaseJitter");
    	handleDeleteStereotype(element, "LinMasterVariant");
    };
    
    mapping.SwVariableRefProxy=
    function(element){
    	//TODO add case in *.properties file
    };
    
    mapping.PortPrototypeBlueprintInitValue=
    function(element){
    	handleDeleteStereotype(element, "PortPrototypeBlueprintInitValue");
    };
    
    mapping.DataFilter=
    function(element){
    	//TODO add case in *.properties file
    };
    
    mapping.FlexrayCommunication=
    function(element){
    	handleRenameStereotype(element, "FlexrayAbsolutelyScheduledTiming", "AbsolutelyScheduledTiming");
    };
    
    mapping.EcucQueryExpression=
    function(element){
    	handleDeleteStereotype(element, "EcucQueryExpression");
    };
    
    mapping.HwElement=
    function(element){
    	handleDeleteStereotype(element, "HwElement");
    	handleDeleteStereotype(element, "nestedElement");
    };
    
    mapping.SynchronizationTimingConstraint=
    function(element){
    	handleDeleteStereotype(element, "SynchronizationTimingConstraint");
    };
    
    mapping.FlatMap=
    function(element){
    	handleDeleteStereotype(element, "FlatMap");
    };
    
    mapping.EcucFunctionNameDef=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "EcucFunctionNameDefVariant");
    	handleDeleteStereotype(element, "EcucFunctionNameDefVariant");
    };
    
    mapping.ApplicationRecordElement=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.ClientServerInterfaceMapping=
    function(element){
    	handleDeleteStereotype(element, "ClientServerInterfaceMapping");
    };
    
    mapping.ClientServerOperation=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "argument");
    	handleDeleteStereotype(element, "possibleError");
    };
    
    mapping.DefItem=
    function(element){
    	handleDeleteStereotype(element, "DefItem");
    };
    
    mapping.SoAdConfig=
    function(element){
    	handleDeleteStereotype(element, "SoAdConfig");
    };
    
    mapping.ConcretePatternEventTriggering=
    function(element){
    	handleDeleteStereotype(element, "ConcretePatternEventTriggering");
    };
    
    mapping.LinTpConnection=
    function(element){
    	handleDeleteStereotype(element, "NPdu");
    	handleDeleteStereotype(element, "NPdu");
    	handleDeleteStereotype(element, "IPdu");
    	handleDeleteStereotype(element, "TpAddress");
    	handleDeleteStereotype(element, "receiver");
    	handleDeleteStereotype(element, "LinTpNode");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.FlexrayTpNode=
    function(element){
    	handleDeleteStereotype(element, "FlexrayTpNode");
    };
    
    mapping.ECUCDescriptionTemplate=
    function(element){
    	handleRenameStereotype(element, "EcucContainerValue", "Container");
    	handleRenameStereotype(element, "EcucValueCollection", "EcuConfiguration");
    	handleRenameStereotype(element, "EcucInstanceReferenceValue", "InstanceReferenceValue");
    	handleRenameStereotype(element, "EcucModuleConfigurationValues", "ModuleConfiguration");
    	handleRenameStereotype(element, "EcucReferenceValue", "ReferenceValue");
    };
    
    mapping.requiredGeneratorTool=
    function(element){
    	handleDeleteStereotype(element, "artifactDescriptor");
    };
    
    mapping.MsrQueryTopic1=
    function(element){
    	handleDeleteStereotype(element, "MsrQueryTopic1");
    };
    
    mapping.EcucFloatParamDef=
    function(element){
    	handleDeleteTag(element, "defaultValueShortLabel");
    	handleDeleteTag(element, "defaultValueValue");
    	handleDeleteTag(element, "maxShortLabel");
    	handleDeleteTag(element, "maxValue");
    	handleDeleteTag(element, "minShortLabel");
    	handleDeleteTag(element, "minValue");
    };
    
    mapping.RoughEstimateOfExecutionTime=
    function(element){
    	handleRenameTag(element, "additionalInformation", "description");
    };
    
    mapping.NvBlockDataMapping=
    function(element){
    	handleRenameStereotypeFromAnnotationChild(element, "AutosarVariableRef", "DataPrototypeRef");
    	handleRenameStereotypeFromAnnotationChild(element, "AutosarVariableRef", "DataPrototypeRef");
    };
    
    mapping.hwPinGroupConnection=
    function(element){
    	handleDeleteStereotype(element, "hwPinConnection");
    };
    
    mapping.PeriodicEventTriggering=
    function(element){
    	handleDeleteStereotype(element, "PeriodicEventTriggering");
    };
    
    mapping.Limit=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.DataDumpEntry=
    function(element){
    	handleDeleteStereotype(element, "DataDumpEntry");
    };
    
    
    return mapping;
}
